/* config.h - get configuration
$Id: config.h 1.2 1994/06/07 03:02:22 Ezra_Story Exp $
*/
#ifdef SVR4
#ifndef SYSV
#define SYSV
#endif
#endif

#ifdef ultrix
#define TERMIO
#define TCATTR
#define NOCONFIG
#endif

#ifdef __hpux
#define HPUX_SOURCE
#define TERMIO
#define TCATTR
#define NODTABLE
#define USESETSID
#define NOCONFIG
#endif

#ifdef solaris2
#define SYSSELECT
#define STRING
#define TERMIO
#define USETCFLUSH
#define TCATTR
#define NODTABLE
#define USESETSID
#define SVR4
#define SYSV
#define NOCONFIG
#else
#ifdef sun
#define TERMIO
#define STRUCTWAIT
#define TCATTR
#define USESETSID
#define NOCONFIG
#endif
#endif

#ifdef __osf__
#define TERMIO
#define TCATTR
#define USESETSID
#define NOCONFIG
#endif

#ifdef __NeXT__
#define STRING
#define NOPUTENV
#define STRUCTWAIT
#define NOCONFIG
#endif

#ifdef sgi
#define TERMIO
#define TCATTR
#define USEGETPTY
#define USESETSID
#define NOCONFIG
#endif

#ifndef NOCONFIG
#include "autoconf.h"
#endif

