/*
 *
 *  AM --- AmigaMail
 *  (C) 1991, 1992 by Christian Riede
 *
 *  AM is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY.  No author or distributor accepts responsibility to anyone
 *  for the consequences of using it or for whether it serves any
 *  particular purpose or works at all, unless he says so in writing.
 *  Refer to the GNU General Public License, Version 1, for full details.
 *  
 *  Everyone is granted permission to copy, modify and redistribute AM,
 *  but only under the conditions described in the GNU General Public
 *  License, Version 1.  A copy of this license is supposed to have been 
 *  given to you along with AM so you can know your rights and responsi-
 *  bilities.  It should be in a file named COPYING.  Among other things,
 *  the copyright notice and this notice must be preserved on all copies.
 *
 *  
 *
 */

#include "am.h"


/* get i-th mail in list */
struct Mail *GetMail(ULONG num, struct List *Selected)
{
	struct Mail *Mail;
	int i;

	if (num==-1)
	{
		SimpleRequest(Window,"No item selected");
		return(0);
	}

	i=0;

	for (Mail=(struct Mail *)((char *)Selected->lh_Head-sizeof(struct Node));
		Mail->m_SelectNode.ln_Succ;
		Mail=(struct Mail *) ((char *)Mail->m_SelectNode.ln_Succ-sizeof(struct Node)))
		if (i++==num)
		return(Mail);

	return(0);
}

