#include <stdio.h>
#include "enums.h"

/* Modified by R.Bless 29-Jun-91 */
/* Adapted for use within Arn */

#define ARN  /* undef this MACRO, if you want normal behaviour */

#ifdef ARN
extern void ErrorHandle (int ErrMsg, char *addinfo);
#endif

void
regerror(char *s)
{
#ifdef ERRAVAIL
    error("regexp: %s", s);
#else
#ifdef ARN
    ErrorHandle(REGEXP,s);
#else
    fprintf(stderr, "regexp(3): %s", s);
    exit(1);
#endif
#endif
    /* NOTREACHED */
}
