


     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



     [1mNAME[0m
          tin, rtin, cdtin, tind - A Netnews reader

     [1mSYNOPSIS[0m
          [1mtin/rtin/cdtin/tind[0m [ [4moptions[m ] [ [4mnewsgroups[m ]

     [1mDESCRIPTION[0m
          [4mTin[m is a full-screen easy to use Netnews reader. It can read
          news locally (i.e. /[4musr[m/[4mspool[m/[4mnews[m) or remotely ([4mrtin[m or [4mtin[m
          -[4mr[m option) via a NNTP (Network News Transport Protocol)
          server.  [4mCdtin[m can read news locally and news archived on
          CD-ROM. It will automatically utilize nov (news overview)
          style index files if available locally or via the nntp xover
          command.

          [4mTin[m has five separate levels of operation: Group selection
          level, Spooldir selection level, Group level, Thread level
          and Article level.  Use the 'h' (help) command to view a
          list of the commands available at a particular level.

          On startup [4mtin[m will show a list of the newsgroups found in
          $[4mHOME[m/.[4mnewsrc[m. An arrow '->' or highlighted bar will point
          to the first newsgroup. Move to a group by using the
          terminal arrow keys (terminal dependent) or 'j' and 'k'.
          Use PgUp/PgDn (terminal dependent) or Ctrl-U and Ctrl-D to
          page up/down.  Enter a newsgroup by pressing RETURN.

          The TAB key advances to the next newsgroup with unread
          articles and enters it.

     [1mOPTIONS[0m
          [1m-c[0m          create/update index files for every group in
                      $[4mHOME[m/.[4mnewsrc[m or file specified by -f option and
                      mark all articles as read.

          [1m-f[0m [4mfile[m     use the specified file of subscribed to
                      newsgroups in place of $[4mHOME[m/.[4mnewsrc[m.

          [1m-h[0m          help listing all command line options.

          [1m-H[0m          brief introduction to [4mtin[m that is also shown the
                      first time it is started.

          [1m-I[0m [4mdir[m      directory in which to store newsgroup index
                      files.  Default is $[4mHOME[m/.[4mtin[m/.[4mindex[m.

          [1m-m[0m [4mdir[m      mailbox directory to use.  Default is
                      $[4mHOME[m/[4mMail[m.

          [1m-M[0m [4muser[m     mail unread articles to specified user for later
                      reading.  For more information read section
                      Automatic Mailing and Saving New News.



     Page 1                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1m-n[0m          Only load groups from the active file that are
                      also subscribed to in the users .[4mnewsrc[m.  This
                      allows a noticeable speedup when connecting via
                      a slow line.

          [1m-p[0m [4mprogram[m  print program with options.

          [1m-q[0m          quick start without checking for new newsgroups.

          [1m-P[0m          purge group index files of articles that no
                      longer exist. Care should be taken when using
                      this command as it stats each and every article
                      in each group that is accessed. On a low speed
                      connection this can have an undisirable effect
                      and it also knocks the hell out of your
                      filesystem.

          [1m-r[0m          read news remotely from the default NNTP server
                      specified in the environment variable NNTPSERVER
                      or contained in the file /[4metc[m/[4mnntpserver[m.

          [1m-R[0m          read news saved by -S option (not yet
                      implemented).

          [1m-s[0m [4mdir[m      save articles to directory.  Default is
                      $[4mHOME[m/[4mNews[m.

          [1m-S[0m          save unread articles for later reading by -R
                      option.  For more information read section
                      Automatic Mailing and Saving New News.

          [1m-u[0m          create/update index files for every group in
                      $[4mHOME[m/.[4mnewsrc[m or file specified by -f option.
                      This option is disabled if [4mtin[m retreives its
                      index files via a NNTP server.

          [1m-U[0m          start [4mtin[m in the background to update index
                      files while reading news in the foreground.
                      This option is disabled if [4mtin[m retreives its
                      index files via a NNTP server.

          [1m-v[0m          verbose mode for -c -M -S -u and -Z options.

          [1m-w[0m          quick mode to post an article and then exit.

          [1m-z[0m          only start [4mtin[m if there is any new/unread news.
                      If there is news [4mtin[m will position cursor at
                      first group with unread news. Useful for putting
                      in login file.

          [1m-Z[0m          check if there is any new/unread news and exit
                      with appropriate status.  If -v option is



     Page 2                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                      specified the number of unread articles in each
                      group is printed.  An exit code 0 indicates no
                      news, 1 that an error occurred and 2 that
                      new/unread news exists.  Useful for writing
                      scripts.

          [4mTin[m can also dynamically change its options by the 'M' menu
          command.  Any changes are written to $[4mHOME[m/.[4mtin[m/[4mtinrc[m.

          The index daemon version, [4mtind[m, only supports the -f, -h, -I
          and -v options.

     [1mINDEX[0m [1mFILES[0m
          In order to keep track of threads, [4mtin[m maintains an index
          for each newsgroup. There are a number of methods in which
          index files can be created and updated.

          The simplest method is that each user creates/updates there
          own index files that are stored in $[4mHOME[m/.[4mtin[m/.[4mindex[m. This
          has the advantage that any user can compile and install [4mtin[m,
          but the disadvantage is that each user is going to be
          creating duplicate files and using precious disk space.  A
          good way to keep index files updated is by doing a [4mtin[m -[4mU[m
          that will update index files in the background while you are
          reading news in the foreground. You can also update index
          files via the system batcher cron with the -u option:
               30 6 * * * /usr/local/bin/tin -u

          A slightly better method is to set [4mtin[m setuid news and have
          all index files created and updated in the news spool
          directory (i.e. /[4musr[m/[4mspool[m/[4mnews[m/.[4mindex[m). This has the
          advantage that there will only be one copy of the index
          files on each machine on your network, but the disadvantage
          is that you will have [4mtin[m running setuid news.

          A better method is to install the [4mtind[m index file updating
          daemon and have it create and update index files for all
          groups in your active file at regular intervals in the news
          spool directory (i.e. /[4musr[m/[4mspool[m/[4mnews[m/.[4mindex[m). This has the
          advantage that there will only be one copy of the index
          files on each machine on your network and [4mtin[m must not be
          setuid news, but the disadvantage is that you will have to
          have news permissions to install [4mtind[m and root permissions
          to install an entry in the cron batcher system to have [4mtind[m
          regularly update index files.

          The best method is to install the [4mtind[m index file updating
          daemon on your NNTP server and have it create and update
          index files for all groups in your active file at regular
          intervals in the news spool directory (i.e.
          /[4musr[m/[4mspool[m/[4mnews[m/.[4mindex[m).  This has the advantage that there
          will only be one copy of the index files on the NNTP server



     Page 3                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          for the whole of your network, but the disadvantage is that
          you will have to install my NNTP server patches to allow [4mtin[m
          to retreive index file from your NNTP server and and you
          must install an entry in the cron batcher system to have
          [4mtind[m regularly update index files (note that this is the
          method we use on our network of 40-50 machines and have not
          had any problems).

          Entering a group the first time tends to be slow because the
          index file must be built from scratch unless the [4mtind[m update
          daemon is being used. To alleviate the slowness start [4mtin[m to
          create all index files for the groups you subscribe to with
          [4mtin[m -[4mu[m -[4mv[m and go for a coffee. Subsequent readings of a
          group will cause incremental updating of the index file.

          If reading news remotely and locally updating index files
          operation will be somewhat slower because the articles must
          be retreived from the NNTP server.

     [1mNEWS[0m [1mADMINISTRATION[0m
          Maintaining Netnews on large networks of machines can be a
          pretty time consuming job as I discovered when I was given
          the job of maintaining our news system and news users.

          [4mTin[m is a News User Agent and so most of the users were
          always asking questions or doing things that could be
          frowned upon by there departments.  To releive news admins
          (and especially me) of this features have been added to make
          life easier for news adminstrators.

          When a user starts [4mtin[m it is possible to inform them of any
          important changes/information concerning the news system by
          displaying a message of the day (motd) file. The motd file
          should be created in your news lib directory (i.e.
          /[4musr[m/[4mlib[m/[4mnews[m/[4mmotd[m) and should have file permissions set to
          0644. The motd file will only be displayed if its contents
          is newer than the last time the user started [4mtin[m. If reading
          news via NNTP my XMOTD patch will have to have been applied
          to your NNTP server.

          A user starting [4mtin[m for the first time can be automatically
          subscribed to a list of newsgroups that are deemed
          appropriate by the news administrator. At our site the
          subscriptions file has 125 groups (our active file contains
          over 400 groups with many only being marginally interesting
          to most people).  The subscriptions file should be created
          in your news lib directory (i.e.
          /[4musr[m/[4mlib[m/[4mnews[m/[4msubscriptions[m) and should have file
          permissions set to 0644. If reading news via NNTP my LIST
          SUBSCRIPTIONS patch will have to have been applied to your
          NNTP server.




     Page 4                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          If my NNTP XUSER patch has been applied to your NNTP server
          you will be able to log the username and machine to your
          NNTP logfile for usage statistics.

     [1mSCREEN[0m [1mFORMAT[0m
          [4mTin[m has five separate levels of operation: Group selection
          level, Spooldir selection level, Group level, Thread level
          and Article level.

          At the Group Selection level the title displays the number
          of subscribed groups.  The newsgroups are displayed on the
          left of the screen with the number of unread articles
          displayed on the same line in the middle of the screen.
                    <Selection Num> <Newsgroup> <Num of unread articles>
               i.e.,
                    1  alt.sources            10
                    2  comp.sources.misc      3
                    3  news.software.readers  12

          At the Group level the title contains the name of the group,
          the number of conversation threads and total number of
          articles i.e., alt.sources (7 23).  If the group has been
          setup not to thread articles (i.e., alt.sources is in
          $([4mHOME[m)/.[4mtin[m/[4munthread[m) the title will be alt.sources (U 23).
          There are two possible display formats as shown below:
                    <Selection Num> <Unread> <Responses> <Subject> <Author>
               i.e.,
                    1   +   3   Bnews sources?      iain@anl433.uucp
                    2       1   This question has   ether@net
               or
                    <Selection Num> <Unread> <Responses> <Subject (longer)>
               i.e.,
                    1   +   3   Bnews sources?
                    2       1   This question has a longer subject line

          At the Article level the page header has the following
          format:
                    <Date posted> <Newsgroup>    <Thread 1 of n>
                    <Article Num> <Subject>      <Num of responses in thread>
                    <Author>                     <Organization>

                    <Article body>
               i.e.,
                    24 Jul 15:20:03 GMT   alt.sources      Thread 1 of 2
                    Article 452           Bnews sources?   3 responses
                    iain@anl433.uucp                       Organization name

                    <Article boby>

     [1mCOMMON[0m [1mMOVING[0m [1mKEYS[0m
          This table shows the common keys/commands for moving at all
          five levels within [4mtin[m.



     Page 5                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                                          ansi/at386/vt100  Other Terminals
               Beginning of list/article  [1mHome[0m              [1m1[0m ([1m^R[0m or [1mg[0m at article level)
               End of list/article        [1mEnd[0m               [1m$[0m (also [1mG[0m at article level)
               Page Up                    [1mPgUp[0m              [1m^U[0m or [1m^B[0m or [1mb[0m
               Page Down                  [1mPgDn[0m              [1m^D[0m or [1m^F[0m or [1m<SPACE>[0m
               Line Up                    [1mUp[0m [1marrow[0m          [1mk[0m (not at article level)
               Line Down                  [1mDown[0m [1marrow[0m        [1mj[0m (not at article level)

     [1mCOMMON[0m [1mEDITING[0m [1mCOMMANDS[0m
          An emacs style editing package allows the easy editing of
          input strings.  An history list allows the easy reuse of
          previously entered strings.  The following commands are
          available when editing a string:

          [1m^A,^E[0m     move to beginning or end of line, respectively.

          [1m^F,^B[0m     nondestructive move forward or back one location,
                    respectively.

          [1m^D[0m        delete the character currently under the cursor,
                    or send EOF if no characters in the buffer.

          [1m^H,<DEL>[0m  delete character left of the cursor.

          [1m^K[0m        delete from cursor to end of line.

          [1m^P,^N[0m     move through history, previous and next,
                    respectively.

          [1m^L,^R[0m     redraw the current line.

          [1m<CR>[0m      places line on history list if nonblank, appends
                    newline and returns to the caller.

          [1m<ESC>[0m     aborts the present editing operation.

     [1mNEWSGROUP[0m [1mSELECTION[0m [1mCOMMANDS[0m
          [1m4[0m         Select group 4.

          [1m^K[0m        Delete current group from $[4mHOME[m/.[4mnewsrc[m file.

          [1m^L[0m        Redraw page.

          [1m^R[0m        Reset $[4mHOME[m/.[4mnewsrc[m file.

          [1m<CR>[0m      Read current group.

          [1m<TAB>[0m     View next group with unread news. Will wrap around
                    to the beginning of the group selection list
                    looking for unread groups.

          [1mB[0m         Mail a bug report or comment to the author.  This



     Page 6                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                    is the best way of getting bugs fixed and features
                    added/changed.

          [1mc[0m         Mark current group as all read with confirmation
                    and goto next group in group selection list.

          [1mC[0m         Mark current group as all read and goto next
                    unread group in group selection list.

          [1md[0m         Toggle display to show just the groupname or the
                    groupname and the groups description.

          [1mg[0m         Choose a new group by name.  The position of the
                    group within the group list will also be asked
                    for.  By entering '1' the new group will be the
                    first group in the displayed list, by entering '8'
                    the group will be the eighth group in the list
                    etc.  By entering '$' the group will be the last
                    group displayed.

          [1mh[0m         Help screen of newsgroup selection commands.

          [1mH[0m         Toggle the display of help mini menu at the bottom
                    of the screen.

          [1mI[0m         Toggle inverse video.

          [1ml[0m         List and allow selection of the available spool
                    directories.  This feature requires a special
                    library to be linked with [4mtin[m to create [4mcdtin[m
                    which can then read news from an active news feed
                    and also from multiple CD-ROMs.

          [1mm[0m         Move the current group within the group selection
                    list.  By entering '1' the group will become the
                    first displayed group in the list, by entering '8'
                    the eighth group in the list etc.  By entering '$'
                    the group will be the last group displayed.

          [1mM[0m         User configurable options menu (for more
                    information see section Options Menu).

          [1mq[0m         Quit [4mtin[m.

          [1mQ[0m         Quit [4mtin[m.

          [1mr[0m         Toggle display of all subscribed to groups and
                    just the subscribed to groups containing unread
                    articles. Command has no effect if groups were
                    read from the command line when [4mtin[m was started.

          [1ms[0m         Subscribe to current group.



     Page 7                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1mS[0m         Subscribe to groups matching user specified
                    pattern.

          [1mu[0m         Unsubscribe to current group.

          [1mU[0m         Unsubscribe to groups matching user specified
                    pattern.

          [1mv[0m         Print [4mtin[m version information.

          [1mw[0m         Post an article to current group.

          [1mW[0m         List articles posted by user.  The date posted,
                    the newsgroup and the subject are listed.

          [1my[0m         The first time this command is called it will yank
                    in all groups from $[4mLIBDIR[m/[4mactive[m that are not in
                    $[4mHOME[m/.[4mnewsrc[m.  After any groups have been
                    subscribed/unsubscribed to, this command if
                    pressed again will reread $[4mHOME[m/.[4mnewsrc[m and
                    display only the subscribed groups.

          [1mY[0m         Reread the active file to see if any new news has
                    arrived since starting [4mtin[m.

          [1mz[0m         Mark all articles in the current group as unread.

          [1mZ[0m         Undelete previously deleted group by ^K command
                    from $[4mHOME[m/.[4mnewsrc[m.

          [1m/[0m         Group forward search.

          [1m?[0m         Group backward search.

     [1mSPOOL[0m [1mDIRECTORY[0m [1mSELECTION[0m [1mCOMMANDS[0m
          [1m4[0m         Select spool directory 4.

          [1m^L[0m        Redraw page.

          [1m<CR>[0m      Read news from selected spool directory.

          [1mB[0m         Mail a bug report or comment to the author.  This
                    is the best way of getting bugs fixed and features
                    added/changed.

          [1mh[0m         Help screen of spool directory selection commands.

          [1mH[0m         Toggle the display of help mini menu at the bottom
                    of the screen.

          [1mI[0m         Toggle inverse video.




     Page 8                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1mq[0m         Return to previous level.

          [1mQ[0m         Quit [4mtin[m.

          [1mv[0m         Print [4mtin[m version information.

     [1mGROUP[0m [1mINDEX[0m [1mCOMMANDS[0m
          [1m4[0m         Select article 4.

          [1m^K[0m        Kill current article (for more information read
                    section Kill Article Menu).

          [1m^L[0m        Redraw page.

          [1m<CR>[0m      Read current article.

          [1m<TAB>[0m     View next unread article or group.

          [1ma[0m         Author forward search.

          [1mA[0m         Author backward search.

          [1mc[0m         Mark all articles as read with confirmation.

          [1mC[0m         Mark all articles as read and goto next group with
                    unread news.

          [1md[0m         Toggle display to show just the subject or the
                    subject and author.

          [1mg[0m         Choose a new group by name.

          [1mh[0m         Help screen of group index commands.

          [1mH[0m         Toggle the display of help mini menu at the bottom
                    of the screen.

          [1mI[0m         Toggle inverse video.

          [1mK[0m         Mark article/thread as read and advance to next
                    unread article/thread.

          [1ml[0m         List the author of each response in current thread
                    and enter thread selection level.

          [1mm[0m         Mail current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles to someone.

          [1mM[0m         User configurable options menu (for more
                    information see section Options Menu).




     Page 9                                          (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1mn[0m         Go to next group.

          [1mN[0m         Go to next unread article.

          [1mo[0m         Output current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles to printer.

          [1mp[0m         Go to previous group.

          [1mP[0m         Go to previous unread article.

          [1mq[0m         Return to previous level.

          [1mQ[0m         Quit [4mtin[m.

          [1ms[0m         Save current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles to file / files / mailbox.  To
                    save to a mailbox enter '=' or '=mailbox' when
                    asked for filename to save to.  To save in
                    <newsgroup name>/<filename> format enter
                    '+filename'.  Environment variables are allowed
                    within a filename (i.e. $[4mSOURCES[m/[4mdir[m/[4mfilename[m).

          [1mt[0m         Tag current article / thread for mailing ('m') /
                    piping ('|') / printing ('o') / saving ('s') /
                    crossposting ('x').

          [1mu[0m         Toggle display to show all articles as unthreaded
                    or threaded.

          [1mU[0m         Untag all articles that were tagged.

          [1mv[0m         Print [4mtin[m version information.

          [1mw[0m         Post an article to current group.

          [1mW[0m         List articles posted by user.  The date posted,
                    the newsgroup and the subject are listed.

          [1mx[0m         Crosspost already posted current article / thread
                    / auto selected (hot) articles / articles matching
                    pattern / tagged articles to another newsgroup(s).
                    Useful for reposting from global to local
                    newsgroups.

          [1mX[0m         Mark all unread articles that have not been
                    selected as read, redo screen to reflect changes
                    and put index at the first thread to begin
                    reading. Pressing 'X' again will toggle back to
                    the way it was before. See '~' command for



     Page 10                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                    clearing the toggle effect.

          [1mz[0m         Mark current article as unread.

          [1mZ[0m         Mark current thread as unread.

          [1m/[0m         Search forward for specified subject.

          [1m?[0m         Search backward for specified subject.

          [1m-[0m         Show last message.

          [1m|[0m         Pipe current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles into command.

          [1m*[0m         Select current thread for later processing.

          [1mToggle[0m [1mselection[0m [1mof[0m [1mcurrent[0m [1mthread.[0m [1mIf[0m [1mat[0m [1mleast[0m [1mone[0m [1munread[0m [1mart,[0m
                    but not all unread arts, in thread is selected,
                    then all unread arts become selected.

          [1m@[0m         Reverse all selections on all articles.

          [1m~[0m         Undo all selections on all articles. It clears the
                    toggle effect of 'X' command. Thus after first
                    doing a 'X', one can then do '~' to reset
                    articles. Thus, one can iteratively whittle down
                    uninteresting threads.

          [1m+[0m         Perform auto-selection on current group.

          [1m;[0m         For each thread in current group, if it at least
                    one unread art is selected, all unread arts become
                    selected. This is useful for auto-selection on
                    author where reader wants to see entire thread.

          [1m=[0m         Prompts for a pattern with which to match on. All
                    threads whose subjects match the pattern will be
                    selected. A pattern of "*" will match all
                    subjects. Entering just <CR> will cause the
                    previous pattern to be used.

     [1mTHREAD[0m [1mLISTING[0m [1mCOMMANDS[0m
          [1m4[0m         Select article 4 within thread.

          [1m^L[0m        Redraw page.

          [1m<CR>[0m      Read current article within thread.

          [1m<TAB>[0m     View next unread article within thread.




     Page 11                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1mB[0m         Mail a bug report or comment to the author.  This
                    is the best way of getting bugs fixed and features
                    added/changed.

          [1mc[0m         Mark thread as read after confirmation and return
                    to previous level.

          [1md[0m         Toggle display to show just the subject or the
                    subject and author.

          [1mh[0m         Help screen of thread listing commands.

          [1mH[0m         Toggle the display of help mini menu at the bottom
                    of the screen.

          [1mI[0m         Toggle inverse video.

          [1mK[0m         Mark thread as read and return to previous level.

          [1mq[0m         Return to previous level.

          [1mQ[0m         Quit [4mtin[m.

          [1mr[0m         Toggle display to show all articles or only unread
                    articles.

          [1mB[0m         Mail a bug report or comment to the author.  This
                    is the best way of getting bugs fixed and features
                    added/changed.

          [1mt[0m         Tag current article for mailing ('m') / piping
                    ('|') / printing ('o') / saving ('s') /
                    crossposting ('x').

          [1mT[0m         Return to group index level.

          [1mv[0m         Print [4mtin[m version information.

          [1mz[0m         Mark current article in thread as unread.

          [1mZ[0m         Mark all articles in thread as unread.

     [1mARTICLE[0m [1mVIEWER[0m [1mCOMMANDS[0m
          [1m0[0m         Read the base article in this thread.

          [1m4[0m         Read response 4 in this thread.

          [1m^H[0m        Show all of the articles mail header.

          [1m^K[0m        Kill current article (for more information read
                    section Kill Article Menu).




     Page 12                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1m^L[0m        Redraw page.

          [1m<CR>[0m      Goto next base article.

          [1m<TAB>[0m     Goto next unread article.

          [1ma[0m         Author forward search.

          [1mA[0m         Author backward search.

          [1mc[0m         Mark all articles as read with confirmation and
                    return to group selection level.

          [1mC[0m         Mark current group as all read and goto next
                    unread group in group selection list.

          [1md[0m         Toggle rot-13 decoding for this article.

          [1mD[0m         Delete current article.  It must have been posted
                    by the same user.  The cancel message can be seen
                    in the newsgroup 'control'.

          [1mf[0m         Post a followup to the current article with a copy
                    of the article included.

          [1mF[0m         Post a followup to the current article.

          [1mh[0m         Help screen of article page commands.

          [1mH[0m         Toggle the display of help mini menu at the bottom
                    of the screen.

          [1mI[0m         Toggle inverse video.

          [1mk[0m         Mark article as read and advance to next unread
                    article.

          [1mK[0m         Mark thread as read and advance to next unread
                    thread.

          [1mm[0m         Mail current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles to someone.

          [1mM[0m         User configurable options menu (for more
                    information see section Options Menu).

          [1mn[0m         Go to the next article.

          [1mN[0m         Go to the next unread article.

          [1mo[0m         Output current article / thread / auto selected



     Page 13                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                    (hot) articles / articles matching pattern /
                    tagged articles to printer.

          [1mo[0m         Output article/thread/tagged articles to printer.

          [1mp[0m         Go to the previous article.

          [1mP[0m         Go to the previous unread article.

          [1mq[0m         Return to previous level.

          [1mQ[0m         Quit [4mtin[m.

          [1mr[0m         Reply through mail to the author of the current
                    article with a copy of the article included.

          [1mR[0m         Reply through mail to the author of the current
                    article.

          [1ms[0m         Save current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles to file / files / mailbox.  To
                    save to a mailbox enter '=' or '=mailbox' when
                    asked for filename to save to.  To save in
                    <newsgroup name>/<filename> format enter
                    '+filename'.  Environment variables are allowed
                    within a filename (i.e. $[4mSOURCES[m/[4mdir[m/[4mfilename[m).

          [1mt[0m         Return to group selection level.

          [1mT[0m         Tag current article for mailing ('m') / piping
                    ('|') / printing ('o') / saving ('s') /
                    crossposting ('x').

          [1mv[0m         Print [4mtin[m version information.

          [1mw[0m         Post an article to current group.

          [1mW[0m         List articles posted by user.  The date posted,
                    the newsgroup and the subject are listed.

          [1mx[0m         Crosspost already posted current article / thread
                    / auto selected (hot) articles / articles matching
                    pattern / tagged articles to another newsgroup(s).
                    Useful for reposting from global to local
                    newsgroups.

          [1mz[0m         Mark article as unread.

          [1m/[0m         Article forward search.

          [1m?[0m         Article backward search



     Page 14                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1m|[0m         Pipe current article / thread / auto selected
                    (hot) articles / articles matching pattern /
                    tagged articles into command.

          [1m<[0m         Goto the first article in the current thread.

          [1m>[0m         Goto the last article in the current thread.

          [1m*[0m         Select current thread for later processing.

          [1mToggle[0m [1mselection[0m [1mof[0m [1mcurrent[0m [1marticle.[0m

          [1m@[0m         Reverse article selections.

          [1m~[0m         Undo all selections on current thread.

     [1mGLOBAL[0m [1mOPTIONS[0m [1mMENU[0m
          This menu is accessed by pressing 'M' at all levels.  It
          allows the user to customize the behaviour of [4mtin[m. The
          options are saved to the file $[4mHOME[m/.[4mtin[m/[4mtinrc[m.  Use <SPACE>
          to toggle the required option and <CR> to set.

          [1mAuto[0m [1msave[0m
              Automatically save articles/threads by ``Archive-name:''
              line in article header and post process them if process
              type is not set to None.

          [1mEditor[0m [1moffset[0m
              Set ON if the editor used for posting, follow-ups and
              bug reports has the capability of starting and
              positioning the cursor at a specified line within a
              file.

          [1mMark[0m [1msaved[0m [1mread[0m
              Allows saved articles/threads to be automatically marked
              as read.

          [1mConfirm[0m [1mCommand[0m
              Allows certain commands (i.e. 'c' catchup) that require
              user confirmation to be executed immediately if set OFF.

          [1mDraw[0m [1marrow[0m
              Allows groups/articles to be selected by an arrow '->'
              if set ON or by an highlighted bar if set OFF.

          [1mPrint[0m [1mheader[0m
              This allows the complete mail header or only the
              ``Subject:'' and ``From:''  fields to be output when
              printing articles.

          [1mGoto[0m [1m1st[0m [1munread[0m
              This allows the cursor to be placed at the first / last



     Page 15                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



              unread article upon entering a newsgroup with unread
              news.

          [1mScroll[0m [1mfull[0m [1mpage[0m
              If set ON scrolling of groups/articles will be a full
              page at a time, otherwise half a page at a time.

          [1mCatchup[0m [1mon[0m [1mquit[0m
              If set ON the user is asked when quitting if all groups
              read during the current session should be marked read.

          [1mThread[0m [1marticles[0m
              If set ON articles will be threaded in all groups
              (default), otherwise articles will be shown unthreaded.
              Threading/unthreading is possible on a per group basis
              by setting the group attribute variable 'thread_arts' to
              ON/OFF in the file $[4mHOME[m/.[4mtin[m/[4mattributes[m.

          [1mShow[0m [1monly[0m [1munread[0m
              If set ON show only new/unread articles, otherwise show
              all articles.

          [1mShow[0m [1mdescription[0m
              If set ON show a short descriptive text for each
              displayed newsgroup.  The text used is taken from the
              $[4mLIBDIR[m/[4mnewsgroups[m file.

          [1mShow[0m [1mAuthor[0m
              If set 'None' only the ``Subject:'' line will be
              displayed.  If set 'Addr' ``Subject:'' line & the
              address part of the ``From:'' line are displayed.  If
              set 'Name' ``Subject:'' line & the authors full name
              part of the ``From:''  line are displayed.  If set
              'Both' ``Subject:'' line & all of the ``From:'' line are
              displayed.

          [1mProcess[0m [1mtype[0m
              This specifies the default type of post processing to
              perform on saved articles.  The following types of
              processing are allowed:
                  -none.
                  -unpacking of multi-part shell archives.
                  -unpacking of multi-part uuencoded files.
                  -unpacking of multi-part uuencoded files, which
                   produce a *.zoo archive whose contents is listed.
                  -unpacking of multi-part uuencoded files, which
                   produce a *.zoo archive whose contents is
                   extracted.
                  -unpacking of multi-part uuencoded files, which
                   produce a *.zip archive whose contents is listed.
                  -unpacking of multi-part uuencoded files, which
                   produce a *.zip archive whose contents is



     Page 16                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



                   extracted.
                  -unpacking of multi-part uuencoded files, which
                   produce a *.lha archive whose contents is listed
                   (AmigaDOS version only).
                  -unpacking of multi-part uuencoded files, which
                   produce a *.lha archive whose contents is extracted
                   (AmigaDOS version only).

          [1mSort[0m [1marticles[0m [1mby[0m
              This specifies how articles should be sorted.  The
              following sort types are allowed:
                  -don't sort articles (default).
                  -sort articles by ``Subject:'' field (ascending &
                   descending).
                  -sort articles by ``From:'' field (ascending &
                   descending).
                  -sort articles by ``Date:'' field (ascending &
                   descending).

          [1mSave[0m [1mdirectory[0m
              The directory where articles/threads are to be saved.
              Default is $[4mHOME[m/[4mNews[m.

          [1mMail[0m [1mdirectory[0m
              The directory where articles/threads are to be saved in
              mailbox format.  This feature is mainly for use with the
              Elm mail program.  It allows the user to save
              articles/threads/groups simply by giving '=' as the
              filename to save to.

          [1mPrinter[0m
              The printer program with options that is to be used to
              print articles.  Default is lpr for BSD machines and lp
              for SysV machines.

     [1mTINRC[0m [1mCONFIGURABLE[0m [1mVARIABLES[0m
          The following variables are user configurable by editing
          $[4mHOME[m/.[4mtin[m/[4mtinrc[m directly. It is hoped to eventually provide
          a menu to allow the setting of the most common variables.

          [1mbatch_save[0m
              If set ON articles/threads will be saved in batch mode
              when save -S or mail -M is specified on the command
              line. Default is OFF.

          [1mbeginner_level[0m
              If set ON a mini menu of the most useful commands will
              be displayed at the bottom of the screen for each level.
              Default is ON.

          [1mdisplay_reading_prompt[0m
              The prompt ``Reading...'' will be displayed when reading



     Page 17                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



              an article from a NNTP server to provide feedback to the
              user. Default is ON.

          [1mforce_screen_redraw[0m
              Specifies whether a screen redraw should always be done
              after certain external commands. Default is OFF.

          [1mgroupname_max_length[0m
              Maximum length of the names of newsgroups to be
              displayed so that more of the newgroup description can
              be displayed. Default is 132.

          [1mdefault_sigfile[0m
              The path that specifies the signature file to use when
              posting, following upto or replying to an article. If
              the path is a directory then the signature will be
              randomly generated from files that are in the specified
              directory.  Default is $[4mHOME[m/.[4mSig[m.

          [1meditor_format[0m
              The format string used to create the editor start
              command with parameters.  Default is '%E +%N %F' (i.e.,
              /bin/vi +7 .article).

          [1mhot_art_mark[0m
              The character used to show that an article/thread is
              auto-selected (hot). Default is '*'.

          [1mquote_chars[0m
              The character used in quoting included text to article
              followups and mail replys. The '_' character represents
              a blank character and is replaced with ' ' when read.
              Default is ':_'.

          [1mreread_active_file_secs[0m
              The news active file is reread at regular intervals to
              show if any new news has arrived. Default is 300
              seconds.

          [1mreturn_art_mark[0m
              The character used to show that an article will return.
              Default is '-'.

          [1msave_to_mmdf_mailbox[0m
              Allows articles to be saved to a MMDF style mailbox
              instead of mbox format.  Default is OFF unless reading
              news on SCO Unix which uses MMDF by default.

          [1mshow_last_line_prev_page[0m
              The last line of the previous page will be displayed as
              the first line of next page. Default is OFF.




     Page 18                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          [1mslow_speed_terminal[0m
              Strips the blanks from the end of each line therefore
              speeding up the display when reading on a slow terminal
              or via modem. Default is OFF.

          [1mtab_after_X_selection[0m
              If enabled will automatically goto the first unread
              article after having selected all hot articles and
              threads with the 'X' command at group index level.
              Default is OFF.

          [1mtab_goto_next_unread[0m
              If enabled pressing TAB at the article viewer level will
              goto the next unread article immediately instead of
              first paging through the current one. Default is ON.

          [1munread_art_mark[0m
              The character used to show that an article has not been
              read. Default is '+'.

          [1muse_builtin_inews[0m
              Allows the builtin NNTP inews to be enabled/disabled.
              Default is ON (enabled).

          [1muse_keypad[0m
              Allows the scroll keys on the keypad to be
              enabled/disabled on supported terminals. Default is OFF.

     [1mGROUP[0m [1mATTRIBUTES[0m
          [4mTin[m allows certain attributes to be set on a per group
          basis. These group attributes are read from the file
          $[4mHOME[m/.[4mtin[m/[4mattributes[m.  A later version will provide a menu
          interface to set all the attributes. At present you will
          have to edit the file with your editor :-(. The following
          group attributes are available:

               newsgroup=alt.sources
               maildir=/usr/iain/Mail/sources
               savedir=/usr/iain/News/alt.sources
               sigfile=/usr/iain/.funny_sig
               organization=Wacky Bits Inc.
               followup_to=alt.sources.d
               printer=/usr/local/bin/a2ps -nn | /bin/lpr
               auto_save=ON
               batch_save=OFF
               delete_tmp_files=ON
               show_only_unread=OFF
               thread_arts=ON
               show_author=1
               sort_art_type=5
               post_proc_type=1




     Page 19                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          Note that the ''newsgroup=<groupname>'' line has to be
          specified before the attributes are specified for that
          group.

          All attributes are set to a reasonable default so you only
          have to specify the attribute that you want to change (i.e.,
          savedir).

          All toggle attributes are set by specifying ON/OFF.

          The show_author attribute is specified by a number from the
          following range: 0=none, 1=username, 2=network address,
          3=both.

          The sort_art_type attribute is specified by a number from
          the following range: 0=none, 1=subject descending, 2=subject
          ascending, 3=from descending, 4=from ascending, 5=date
          descending, 6=date ascending.

          The post_proc_type attribute is specified by a number from
          the following range: 0=none, 1=unshar, 2=uudecode,
          3=uudecode & list zoo archive, 4=uudecode & extract zoo
          archive, 5=uudecode & list zip archive, 6=uudecode & extract
          zip archive. (note: if running on AmigaDOS the zoo options
          are replaced by there corresponding lha archiver options).

     [1mAUTOMATIC[0m [1mKILL[0m [1mAND[0m [1mSELECTION[0m
          When there is a subject or an author which you are either
          very interested in, or find completely uninteresting, you
          can easily instruct [4mtin[m to [4mauto[m-[4mselect[m or [4mauto[m-[4mkill[m articles
          with specific subjects or from specific authors.  These
          instructions are stored in a [4mkill[m [4mfile[m.

          This menu is accessed by pressing '^K' at the group and page
          levels.  It allows the user to kill or select an article
          that matches the current ``Subject:'' line, ``From:'' line
          or a string entered by the user. The user entered string can
          be applied to the ``Subject:'' or ``From:'' lines of an
          article.  The kill description can be limited to the current
          newsgroup or it can apply to all newsgroups. Once entered
          the user can abort the command and not save the kill
          description, edit the kill file or save the kill
          description.

          On starting [4mtin[m the users killfile $[4mHOME[m/.[4mtin[m/[4mkill[m is read
          and on entering a newsgroup any kill or select descriptions
          are applied.

          Articles that match a kill description are marked killed and
          are not displayed. Articles that match an auto-select
          description are marked with a ''*'' when displayed.




     Page 20                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



     [1mPOSTING[0m [1mARTICLES[0m
          [4mTin[m allows posting of articles, follow-up to already posted
          articles and replying direct through mail to the author of
          an article.

          Use the 'w' command to post an article to a newsgroup.
          After entering the post subject the default editor (i.e. vi)
          or the editor specified by the $VISUAL environment variable
          will be started and the article can be entered.  To
          crosspost articles simply add a comma and the name of the
          newsgroup(s) to the end of the ``Newsgroups:'' line at the
          beginning of the article.  After saving and exiting the
          editor you are asked if you wish to a)bort posting the
          article, e)dit the article again or p)ost the article to the
          specified newsgroup(s).

          Use the 'W' command to display a history of the articles you
          have posted.  The date the article was posted, which
          newsgroups the article was posted to and the articles
          subject line are displayed.

          Use the 'f' / 'F' command to post a follow-up article to an
          already posted article.  The 'f' command will copy the text
          of the original article into the editor.  The editing
          procedure is the same as when posting an article with the
          'w' command.

          Use the 'r' / 'R' command to reply direct through mail to
          the author of an already posted article.  The 'r' command
          will copy the text of the original article into the editor.
          The editing procedure is the same as when posting an article
          with the 'w' command.  After saving and exiting the editor
          you are asked if you wish to a)bort sending the article,
          e)dit the article again or s)end the article to the author.

     [1mCUSTOMIZING[0m [1mTHE[0m [1mARTICLE[0m [1mQUOTE[0m [1mSTRING[0m
          When posting a followup to an article or replying direct to
          the author of an article via email the text of the article
          can be quoted. The beginning of the quoted text can contain
          information about the quoted article (i.e., Name and the
          Message Id of the article). To allow for different
          situations certain information from the article can be used
          in the quoted string. The following variables are expanded
          if found in the tinrc variables 'mail_quote_format=' or
          'news_quote_format=':
               [1m%A[0m  Address (Email)
               [1m%D[0m  Date
               [1m%F[0m  Full address (%N (%A))
               [1m%G[0m  Groupname
               [1m%M[0m  Message Id
               [1m%N[0m  Name of user
          i.e.,



     Page 21                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



               mail_quote_format=On %D in %G you wrote:
               news_quote_format=In %M, %F wrote:
          would expand when used to:
               On 21 Jul 1992 09:45:51 -0400 in alt.sources you wrote:
               In <abcINN123@anl433.uucp>, Iain Lea (iain@erlm.siemens.de) wrote:

     [1mMAILING[0m [1mPIPING[0m [1mPRINTING[0m [1mREPOSTING[0m [1mAND[0m [1mSAVING[0m [1mARTICLES[0m
          The command interface to mail ('m'), pipe ('|'), print
          ('o'), crosspost ('x') and save ('s') articles is the same
          for ease of use.

          The initial command will ask you to select which a)rticle,
          t)hread, h)ot (auto selected) r)egex pattern, t)agged
          articles you wish to mail, pipe etc.

          Tagged articles must have already been tagged with the 'T'
          command.  All tagged articles can be untagged by the 'U'
          untag command.

          If regex pattern matching is selected you are asked to enter
          a regular expression (i.e. to match all articles subject
          lines containing 'net News' you must enter '*net News*').
          Any articles that match the entered expression will be
          mailed, piped etc.

          To save articles to a mailbox with the name of the current
          newsgroup (i.e. Alt.sources) enter '=' or '=<mailbox name>'
          when asked for the save filename.

          To save articles in <newsgroup name>/<filename> format enter
          '+<filename>'.

          When saving articles you can specify whether the saved files
          should be post processed (i.e. unshar shell archive,
          uudecode multiple parts etc).  A default process type can be
          set by the 'Process type:' in the 'M' options menu.

     [1mAUTOMATIC[0m [1mMAILING[0m [1mAND[0m [1mSAVING[0m [1mNEW[0m [1mNEWS[0m
          [4mTin[m allows new/unread news articles to be mailed (-M
          option)/saved (-S option) in batch mode for later reading.
          Useful when going on holiday and you don't want to return
          and find that expire has removed a whole load of unread
          articles.  Best to run from crontab everyday while away,
          after which you will be mailed a report of which articles
          were mailed/saved from which newsgroups and the total number
          of articles mailed/saved.  Articles are saved in a private
          news structure under your <savedir> directory (default is
          $[4mHOME[m/[4mNews[m).  Be careful of using this option if you read a
          lot of groups because you could overflow your filesystem.
          If you only want to save a few groups it would be best to
          backup your full $[4mHOME[m/.[4mnewsrc[m and create a new one that
          only contains the newsgroups you want to mail/save.  Saved



     Page 22                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          news can be read later by [4mtin[m -[4mR[m.

          [4mtin[m -[4mM[m [4miain[m -[4mc[m -[4mf[m [4mnewsrc[m.[4mmail[m
                              (mail any unread articles in newgroups
                              specified in file newsrc.mail)

          [4mtin[m -[4mS[m -[4mc[m -[4mf[m [4mnewsrc[m.[4msave[m
                              (save any unread articles in newgroups
                              specified in file newsrc.save)

          [4mtin[m -[4mR[m              (read any articles saved by [4mtin[m -[4mS[m)

     [1mSIGNATURES[0m
          [4mTin[m will recognize a signature in either $[4mHOME[m/.[4msignature[m or
          $[4mHOME[m/.[4mSig[m.  If $[4mHOME[m/.[4msignature[m exists, then the signature
          will be pulled into the editor for mail commands.  A
          signature in $[4mHOME[m/.[4msignature[m will not be pulled into the
          editor for posting commands since [4minews[m will append the
          signature itself.

          A signature in $[4mHOME[m/.[4mSig[m will be pulled into the editor for
          both posting and mailing commands.

          The following is an example of a $[4mHOME[m/.[4mSig[m file:
               NAMES  Iain Lea    iain.lea@erlm.siemens.de
               SNAIL  Bruecken Strasse 12, 8500 Nuernberg 90, Germany
               PHONE  +49-911-331963 (home)  +49-911-3089-407 (work)
          [4mTin[m also has the capability to generate random signatures on
          a per newsgroup basis if so desired. The way to accomplish
          this is to specify the default signature or the group
          attribute sigfile as a directory.  If for example the
          sigfile path is /[4musr[m/[4miain[m/.[4msigs[m and .[4msigs[m is a directory
          then [4mtin[m will select a random signature from any file that
          is in the directory .[4msigs[m (note: one signature per numbered
          file). A random signature can also consist of a fixed part
          signature that can contain your name, address etc. followed
          by the random sig. The fixed part of the random sig is read
          from the file $[4mHOME[m/.[4msigfixed[m.

     [1mENVIROMENT[0m [1mVARIABLES[0m
          [1mTINRC[0m
               Define this variable if you want to specify command
               line options that [4mtin[m should be started with to save
               typing them each time it is started. The contents of
               the environment variable are added to the front of the
               command line options before it is parsed therefore
               allowing an option specified on the command line to
               override the same option specified in the environment.

          [1mTIN_HOMEDIR[0m
               Define this variable if you do not want the .tin
               directory in $[4mHOME[m/.[4mtin[m. (i.e. if you want all tin's



     Page 23                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



               private files in /[4mtmp[m/.[4mtin[m you would set TINDIR to
               /[4mtmp[m.

          [1mTIN_INDEXDIR[0m
               Define this variable if you do not want the .index
               directory in $[4mHOME[m/.[4mtin[m/.[4mindex[m. (i.e. if you want all
               tin's index files in /[4mtmp[m/.[4mindex[m you would set
               TIN_INDEXDIR to /[4mtmp[m.

          [1mTIN_LIBDIR[0m
               Define this variable if you want to override the LIBDIR
               path that was compiled into the tin binary via the
               Makefile.

          [1mTIN_SPOOLDIR[0m
               Define this variable if you want to override the
               SPOOLDIR path that was compiled into the tin binary via
               the Makefile.

          [1mTIN_NOVROOTDIR[0m
               Define this variable if you want to override the
               NOVROOTDIR path that was compiled into the tin binary
               via the Makefile.

          [1mTIN_ACTIVEFILE[0m
               Define this variable if you want to override the
               LIBDIR/active path that was compiled into the tin
               binary via the Makefile.

          [1mNNTPSERVER[0m
               The default NNTP server to remotely read news from.
               This variable only needs to be set if the -r command
               line option is specified and the file /[4metc[m/[4mnntpserver[m
               does not exist.

          [1mDISTRIBUTION[0m
               Set the article header field ``Distribution:'' to the
               contents of the variable instead of the system default.

          [1mORGANIZATION[0m
               Set the article header field ``Organization:'' to the
               contents of the variable instead of the system default.
               This variable has precedence over the file
               $[4mHOME[m/.[4mtin[m/[4morganization[m that may also contain an
               organization string.  If reading news on an Apollo
               DomainOS machine the environment variable NEWSORG has
               to be used instead of ORGANIZATION.

          [1mREPLYTO[0m
               Set the article header field ``Reply-To:'' to the
               return address specified by the variable.  This is
               useful if the machine is not registered in the UUCP



     Page 24                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



               mail maps or if you wish to receive replies at a
               different machine.  This variable has precedence over
               the file $[4mHOME[m/.[4mtin[m/[4mreplyto[m that may also contain a
               return address.

          [1mADD_ADDRESS[0m
               This can contain an address to append to the return
               address when replying directly through mail to somebody
               whose mail address is not directly recognized by the
               local host.  For example say the return address is
               [4muser[m@[4mbigvax[m, but [4mbigvax[m is not recognized by your host,
               so therefore the mail will not reach [4muser[m.  But the
               host [4mlittevax[m is known to recognize your host and
               [4mbigvax[m, so if ADD_ADDRESS is set (i.e. 'setenv
               ADD_ADDRESS @littevax' for csh or 'set ADD_ADDRESS
               @littevax' and 'export ADD_ADDRESS' for sh) the address
               [4muser[m@[4mbigvax[m@[4mlittlevax[m will be used and the mail will
               reach [4muser[m@[4mbigvax[m.  This variable has precedence over
               the file $[4mHOME[m/.[4mtin[m/[4madd[m_[4maddress[m that may also contain
               an address.

          [1mBUG_ADDRESS[0m
               If the 'B' command bug report mail address is not
               correct this variable should be set to the correct mail
               address.  This variable has precedence over the file
               $[4mHOME[m/.[4mtin[m/[4mbug[m_[4maddress[m that may also contain a mail
               address.

          [1mMAILER[0m
               This variable has precedence over the default mailer
               that is used in all mailing operations within [4mtin[m (i.e.
               replying 'rR', and bug reports 'B').

          [1mVISUAL[0m
               This variable has precedence over the default editor
               (i.e. vi) that is used in all editing operations within
               [4mtin[m (i.e. posting 'w', replying 'rR', follow-ups 'fF'
               and bug reports 'B').

          [1mAUTOSUBSCRIBE[0m
               [4mtin[m interprets this variable similarly to rn.  It
               contains a list of patterns, separated by commas and
               possibly prefixed with exclamation points. A new group
               is checked against the list of patterns; if it matches,
               [4mtin[m subscribes the user to the group without further
               query. An exclamation point negates the meaning of a
               match on this pattern, and can be used to cancel
               certain matches.  For example, setting
               [4mAUTOSUBSCRIBE[m=[4mcomp[m.[4mos[m.[4munix[m.*,[4mtalk[m.*,![4mtalk[m.[4mpolitics[m.*
               will automatically subscribe the user to all new groups
               in the comp.os.unix hierarchy, and all talk groups
               other than talk.politics groups (which will be queried



     Page 25                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



               for as usual.)

          [1mAUTOUNSUBSCRIBE[0m
               [4mtin[m interprets this variable similarly to rn.  It is
               handled like the [4mAUTOSUBSCRIBE[m variable, but groups
               matching the list are unsubscribed from without further
               query.  For example, setting
               [4mAUTOUNSUBSCRIBE[m=[4malt[m.[4mflame[m.*,[4mu[m*,![4muk[m.*  will
               automatically unsubscribe the user from all new
               alt.flame groups and all groups starting with u
               (university groups) other than UK groups (which will be
               queried for as usual.)

     [1mTIPS[0m [1mAND[0m [1mTRICKS[0m
          Tin can be pretty much be navigated by using the four cursor
          keys. The left arrow key goes up a level, the right arrow
          key goes down a level, the up arrow key goes up a line (page
          at article viewer level) and the down arrow key goes down a
          line (page at article viewer level).

          The following newsgroups provide useful information
          concerning news software:
              -news.software.readers (info. about news user agents
               tin,rn,nn,vn etc.)
              -news.software.nntp (info. about NNTP)
              -news.software.b (info. about news transport agents
               Bnews,Cnews and INN)
              -news.answers (Frequently Asked Questions (FAQ) about
               many different themes)

          Many prompts (i.e. 'Mark everything as read? (y/n): y')
          within [4mtin[m offer a default choice that the cursor is
          positioned on.  By pressing <CR> the default value is taken.

          Many prompts (i.e. 'Post subject []>') within [4mtin[m can be
          aborted by pressing ESC.

          When [4mtin[m is run in an xterm window it will resize itself
          each time the xterm is resized.

          [4mTin[m will reread the active file at set intervals to show any
          newly arrived news.

     [1mXTERM[0m [1mBUTTONS[0m
          If the environment variable [4mTERM[m is set to [4mxterm[m, then
          button pressing can be used to select groups and articles.

          In the group selection menu, if the mouse is pointing before
          the groups listing region the previous page is selected
          (just like b).  If the mouse is pointing after the groups
          listing region the next page is selected (just like space).
          If the mouse is pointing at a group then:



     Page 26                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          left button    moves to the group pointed at.

          other buttons  moves to and selects the group pointed at.
                         Just like <CR>.

          In the article menu, if the mouse is pointing before the
          article listing region the previous page is selected (just
          like b).  If the mouse is pointing after the article listing
          region the next page is selected (just like space).  If the
          mouse is pointing at an article then:

          left button    moves to the article pointed at.

          centre button  reads next unread article from that pointed
                         at.  Just like <TAB>.

          right button   reads article pointed at.  Just like <CR>.

          In the thread menu, if the mouse is pointing before the
          article listing region the previous page is selected (just
          like b).  If the mouse is pointing after the article listing
          region the next page is selected (just like space).  If the
          mouse is pointing at an article then:

          left button    moves to the article pointed at.

          centre button  reads next unread article from that pointed
                         at.  Just like <TAB>.

          right button   reads article pointed at.  Just like <CR>.

          In the spool selection menu, if the mouse is pointing before
          the spool listing region the previous page is selected (just
          like b).  If the mouse is pointing after the spool listing
          region the next page is selected (just like space).  If the
          mouse is pointing at a spool selection then:

          left button    moves to the spool pointed at.

          other buttons  moves to and selects the spool pointed at.
                         Just like <CR>.

          In other menus and areas button pressing reverts back to
          usual cut and paste of xterm, but after one click of any
          button.

     [1mFILES[0m
          $[4mHOME[m/.[4mnewsrc[m       subscribed to newgroups.

          $[4mHOME[m/.[4mnewsauth[m     ``nntpserver password'' pairs for NNTP
                              servers that require authorization.




     Page 27                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          $[4mHOME[m/.[4mtin[m/[4mtinrc[m    options.

          $[4mHOME[m/.[4mtin[m/[4mattributes[m
                              contains user specified group
                              attributes.

          $[4mHOME[m/.[4mtin[m/.[4mindex[m   newsgroups index files directory.

          $[4mHOME[m/.[4mtin[m/.[4mmailidx[m mailgroups index files directory.

          $[4mHOME[m/.[4mtin[m/.[4msaveidx[m saved newsgroups index files directory.

          $[4mHOME[m/.[4mtin[m/[4mactive[m.[4mmail[m
                              active file of users mailgroups.

          $[4mHOME[m/.[4mtin[m/[4mactive[m.[4msave[m
                              active file of users saved newsgroups.

          $[4mHOME[m/.[4mtin[m/[4madd[m_[4maddress[m
                              address to add to when replying through
                              mail.

          $[4mHOME[m/.[4mtin[m/[4mbug[m_[4maddress[m
                              address to send bug reports to.

          $[4mHOME[m/.[4mtin[m/[4mkill[m     article kill and auto-selection file.

          $[4mHOME[m/.[4mtin[m/[4morganization[m
                              string to replace default organization.

          $[4mHOME[m/.[4mtin[m/[4mposted[m   history of articles posted by user.

          $[4mHOME[m/.[4mtin[m/[4mreplyto[m  host address to use in ``Reply-To:''
                              mail header.

          $[4mHOME[m/.[4msignature[m    signature.

          $[4mHOME[m/.[4mSig[m          signature.

          $[4mHOME[m/.[4msigfixed[m     fixed part of a randomly generated
                              signature.

          /[4musr[m/[4mlib[m/[4mnews[m/[4mmotd[m  News message of the day file.

          /[4musr[m/[4mlib[m/[4mnews[m/[4mnewsgroups[m
                              Short description of all newsgroups.

          /[4musr[m/[4mlib[m/[4mnews[m/[4msubscriptions[m
                              List of newsgroups to subscribe first
                              time user to.

     [1mBUGS[0m



     Page 28                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          There are bugs somewhere among the creeping featurism.  Any
          bugs found should be reported by the 'B' (bug report)
          command.

          Coredumps when setting certain toggle options from the
          options menu at article viewer level.

          Coredumps when killing last article in a thread at article
          viewer level.

     [1mHISTORY[0m
          Based on the [4mtass[m newsreader that was developed by Rich
          Skrenta and posted to alt.sources in March 1991.  Tass was
          itself heavily influenced by NOTES which was developed at
          the University of Illinois by Ray Essick and Rob Kolstad in
          1982.

          v1.0 PL0 (full) was posted in 8 parts to alt.sources on 23
          Aug 1991.
          v1.0 PL1 (full) was posted in 8 parts to alt.sources on 03
          Sep 1991.
          v1.0 PL2 (full) was posted in 9 parts to alt.sources on 24
          Sep 1991.
          v1.0 PL3 (patch) was posted in 4 parts to alt.sources on 30
          Sep 1991.
          v1.0 PL4 (patch) was posted in 2 parts to alt.sources on 02
          Oct 1991.
          v1.0 PL5 (patch) was posted in 4 parts to alt.sources on 17
          Oct 1991.
          v1.0 PL6 (patch) was posted in 5 parts to alt.sources on 27
          Nov 1991.
          v1.0 PL7 (patch) was posted in 2 parts to alt.sources on 27
          Nov 1991.
          v1.1 PL0 (full) was posted in 11 parts to alt.sources on 13
          Feb 1992.
          v1.1 PL1 (full) was posted in 12 parts to alt.sources on 24
          Mar 1992.
          v1.1 PL2 (patch) was posted in 4 parts to alt.sources on 30
          Mar 1992.
          v1.1 PL3 (full) was posted in 15 parts to alt.sources on 13
          May 1992.
          v1.1 PL4 (full) was posted in 15 parts to alt.sources on 22
          Jun 1992.
          v1.1 PL5 (patch) was posted in 7 parts to alt.sources on 11
          Aug 1992.
          v1.1 PL6 (full) was posted in 15 parts to alt.sources on 14
          Sep 1992.
          v1.1 PL7 (patch) was posted in 10 parts to alt.sources on 15
          Nov 1992.
          v1.1 PL8 (patch) was posted in 6 parts to alt.sources on 06
          Dec 1992.
          v1.1 PL9 (patch) was posted in 3 parts to alt.sources on 20



     Page 29                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          Mar 1993.
          v1.2 PL0 (full) was posted in 14 parts to alt.sources on 25
          May 1993.
          v1.2 PL1 (patch) was posted in 8 parts to alt.sources on 14
          Jul 1993.
          v1.2 PL2 (patch) was posted in ?? parts to alt.sources on ??
          Sep 1993.

     [1mCREDITS[0m
          Rich Skrenta   author of tass v3.2 which this newsreader
                         used as its base.

          Bill Davidsen  author of envarg.c environment variable
                         reading routine.

          Mike Gleason   author of sigfile.c random signature
                         generation routines.  Arnold Robbins author
                         of strftime.c date formatting routine.

          Jim Robinson   co-author of kill.c article kill and auto-
                         selection routines.

          Rich Salz      author of wildmat.c pattern matching and
                         parsedate.y date parsing routines.

          Dave Taylor    author of curses.c from the elm mailreader.

          Chris Thewalt  author of getline.c emacs style editing
                         routine.

          Mark Tomlinson for porting [4mtin[m to the AmigaDOS operating
                         system.

          Andreas Wrede  for porting [4mtin[m to the OS/2 operating system.

          Dieter Becker  for generously posting certain releases for
                         me when my net connection was removed by a
                         group of very short sighted people.

          I wish to thank the following people for supplying patches:

          David Abbott, Earle Ake, Joachim Astel, Anton Aylward,
          George Baltz, Paul Bauwens, Dieter Becker, Dan Berry, David
          Binderman, Fokke de Boer, Mark Boucher, Herman ten Brugge,
          Leila Burrell-Davis, Peter Castro, Robert Claeson, Steven
          Cogswell, Don Costello, Bryan Curnutt, Ned Danieley, Chris
          Davies, John Davis, Tom Dickey, Bryan Dongray, Craig
          Durland, Kirk Edson, Stefan Elf, Rob Engle, Brent Ermlick,
          Olle Eriksson, Michael Faurot, Werner Fleck, Callum Gibson,
          Mike Glendinning, Philippe Goujard, Carl Hage, Paul Halsema,
          Ed Hanway, Scott Hauck, Per Headland, Daniel Hermans, Jose
          Herrero, Tom Hite, Torsten Homeyer, Tommy Hsieh, Steve Hunt,



     Page 30                                         (printed 6/23/94)






     [1mTIN(1)[0m                    [1m1.2[0m [1m(Amiga TIN 1.22)[0m                    [1mTIN(1)[0m



          Pieter Immelman, Robbin Johnson, Nelson Kading, Fritz
          Kleeman, Dwarven Knight, Karl-Koenig Koenigsson, Martin
          Kraemer, Kris Kugel, Geoff Lane, Alex Lange, Alain Lasserre,
          Marty Leisner, Hakan Lennestal, Otto Lind, Richard Lloyd,
          Clifford Luke, David MacKenzie, Hugh Mahon, Kazushi
          Marukawa, Owen Medd, Soren Moller, Sergio Morales, Michael
          Morrell, Klaus Mueller, Udo Munk, James Nugen, Jeb Palmer,
          Neil Parker, Tom Parry, Jim Patterson, Walter Pelissero,
          Colin Perkins, Eric Peterson, Tim Pierce, Bill Poitras,
          Wolfgang Prediger, Ted Richards, Ollivier Robert, Jim
          Robinson, Stephen Roseman, Clifton Royston, Nickolay Saukh,
          Rich Salz, Gary Sanders, John Sauter, Christopher Sawtell,
          John Schmitz, Bart Sears, Karl-Olav Serrander, Doug Sewell,
          Philip Shearer, Mark Smith, Steve Spearman, Cliff Stanford,
          Steve Starck, Jason Steiner, Ed Sznyter, Derek Terveer,
          Julian Thompson, Andry Timonin, Mark Tomlin, Michael Traub,
          Adri Verhoef, Paul Vickers, Cary Whitney, Greg Woods, Lloyd
          Wright

          I wish to thank the following people for bug
          reports/comments:

          Jack Applin, Klaus Arzig, Scott Babb, Reiner Balling,
          Preston Bannister, Bill de Beabien, Volker Beyer, Etienne
          Bido, Roger Binns, Georg Biehler, Jean-Marc Bonnaudet, Eric
          Bowles, Sean Brady, Ian Brown, Andreas Brosig, Craig Bruce,
          Brett Carver,Tom Czarnik, Dave Datta, Mat Davis, Karl
          Denninger, Klaus Dimmler, David Donovan, Peter Dressler,
          Gerhard Ermer, Hugh Fader, Miguel Farah, Joachim Feld, Paul
          Fox, Jay Geertsen, Herschel Gelman, Bernhard Gmelch, Jason
          Haar, Viet Hoang, Andy Jackson, Joe Johnson, Ralph Jud,
          Cyrill Jung, Kuo-Chein Kai, Tonis Kelder, Hans-Juergen
          Knopp, Sridhar Komandur, Tom Kovar, Bernhard Kroenung,
          Murray Laing, Per Lindqvist, Eric Litman, Bob Lukas, Michael
          Marshall, Kazushi Marukawa, Olaf Mittelstaedt, Phillip
          Molloy, Phil Molyneux, Toni Metz, Greg Miller, Deeptendu
          Majumder, Klaus Neuberger, Otto Niesser, Reiner Oelhaf, Alex
          Pakter, John Palkovic, Dave Pascoe, Wolf Paul, Andrew
          Phillips, Stefan Rathmann, Jon Robinson, David Ross, Jonas
          Rwgmyr, Malkani Sanjay, Daemon Schaefer, Dean Schrimpf,
          Klamer Schutte, Fredy Schwatz, Dave Schweisguth, Bernd
          Schwerin, Don Sheythe, Chris Smith, Daniel Smith, Richard
          Stanton, Ralf Stephan, Hironobu Takahashi, Ken Taylor, Tony
          Travis, Paul Verket, Sven Werner, Dick Wexelblat, Paul Wood,
          Gregory Woodbury, Norm Yamane, Blair Zajac, Orest Zboroski,
          Thomas Ziegler

     [1mAUTHOR[0m
          Iain Lea  (iain.lea@erlm.siemens.de)






     Page 31                                         (printed 6/23/94)


