/*
 * File Mailer:  Looks for file requests via USENET and fires
 *   'em back if on-line, else it finds the disk its stored on
 *   and files that.
 */
 
options results

Parse Arg foo
If Upper(foo) = "DEBUG" Then 
Do
   Debug = 1 
End 
Else 
Do
   Debug = 0
End

If foo ~= "" then Call SendOffLine()
 
If Exists("UUMAIL:FileRequest") Then
Do
   If CheckSpool() Then Return
   /* We've got some work */
   TRUE = 1
   FALSE = 0
   NeedHelp = FALSE
   Eat = FALSE
   "Erase UUMail:FileRequest.bak"
   "Rename UUMail:FileRequest UUMail:FileRequest.bak"
   b = Open(mbox, "UUMAIL:FileRequest.bak")
   inp = ReadLn(mbox)
   Do While ~eof(mbox)
      if ((Index(Upper(inp),"UNDELIVERABLE") ~= 0)|(Index(Upper(inp),"WARNING") ~= 0 )|(Index(Upper(inp),"ERROR") ~= 0 )|(Index(Upper(inp),"UNKNOWN") ~= 0 )|(Index(Upper(inp),"MAILER-DAEMON") ~= 0 )) Then 
      Do
         'Echo >>UUSpool:FileRequest "Bounce:  'ReplyTo'"'
         NeedHelp = FALSE
         Eat = TRUE
         NeedHelp = FALSE
         Say "Eating"
         Do While ~Eof(mbox) & ((Index(Upper(inp), "FROM") ~= 1)|(Index(Upper(inp),"FROM:") ~= 0))
            inp = ReadLn(mbox)
         End
         Eat = FALSE
         If eof(mbox) Then Exit
      End
      
      parse var inp Cmd Argument .
      Cmd = upper(cmd)
      Select
         When Cmd == "FROM"   Then Do
            If NeedHelp Then Call Help()
            NeedHelp = TRUE
            ReplyTo = Argument
            say "From "ReplyTo
            
            If CheckSpool() Then
            Do
               b = Open(rest, "UUMAIL:FileRequest",'W')
               Do While ~eof(mbox)
                  b = WriteLn(rest,inp)
                  inp = ReadLn(mbox)
               End
               Return
            End
         End
         When Cmd == "REPLY-TO:" Then 
         Do 
            ReplyTo = Argument
            say "ReplyTo" ReplyTo
         End
         When (Cmd == "HELP")  & ~Eat Then Call Help()
         When (Cmd == "HELP:") & ~Eat Then Call Help()
         When (Cmd == "LIST")  & ~Eat Then Call List()
         When (Cmd == "LIST:") & ~Eat Then Call List()
         When (Cmd == "FILE:") & ~Eat Then Call File()
         When (Cmd == "FILE")  & ~Eat Then Call File()
         Otherwise
      End
      inp = ReadLn(mbox)
   End
End
Else
Do
   ReplyTo = ""
   If Open(help,"UULib:NeedHelp",'R') Then
   Do
      Do While ~eof(help)
         t = ReadLn(help)
         ReplyTo = ReplyTo","t
         if length(ReplyTo) > 200 Then
         Do
            Say "Helping:" ReplyTo
            Call Help()
            ReplyTo = ""
         End
      End
      If ReplyTo ~= "" Then Call Help()
      Call Close(help)
      "Erase UULib:NeedHelp"
   End
   
   If Exists("UULib:FileRequest") Then
   Do
      "Delete UULib:FileRequest.bak"
      "Rename UULib:FileRequest UULib:FileRequest.bak"
      
      Call Open(req, "UULib:FileRequest.bak", 'R')
      inp = ReadLn(req)
      Do While (~eof(req)) & (~CheckSpool())
         Parse Var inp ReplyTo Argument
         Say "Sending File: " ReplyTo Argument
         NeedHelp = TRUE
         Call File()
         If NeedHelp Then Help()
         inp = ReadLn(req)
      End
      If ~eof(req) Then
      Do
         Call Open(out,"UULib:FileRequest",'W')
         Do While ~eof(req)
            Call WriteLn(out,inp)
            inp = ReadLn(req)
         End
         Close(out)
         Close(req)
      End
   End
   
   If Exists("UULib:FileList") Then 
   Do
      "Delete UULib:FileList.bak"
      "Rename UULib:FileList UULib:FileList.bak"
      
      ReplyTo = ""
      If Open(req,"UULib:FileList.bak",'R') Then
      Do
         Do While ~eof(req)
            t = ReadLn(req)
            ReplyTo = ReplyTo","t
            if length(ReplyTo) > 200 Then
            Do
               Say "Sending List:" ReplyTo
               Call List()
               ReplyTo = ""
               If CheckSpool() Then
               Do
                  Call Open(out,"UULib:FileList",'W')
                  inp = ReqdLn(req)
                  Do While ~eof(req)
                     Call WriteLn(out,inp)
                     inp = ReadLn(req)
                  End
                  Close(out)
                  Close(req)
               End
               
            End
         End
         If ReplyTo ~= "" Then Call List()
         Call Close(req)
      End
   End
End
Return

CheckSpool:
   If Debug Then Return 0
   "LS -l UUSPool: | ExecIO stem SpoolDir."
   Num = SpoolDir.0
   Parse Var SpoolDir.Num .':'Dirs .':'Files .':'Blocks .':'Bytes
Return (Bytes>400000)

Help:
   If Debug Then 
   Do 
      Say "Help"
      Return
   End
   NeedHelp = FALSE
   "SendMail <UULib:DeepPost.ins -f filerequest -t " ReplyTo
return

File:
   If Debug Then Say "File"
   "ExecIO Read BBX:BBX.Config Locate File_Dir Stem Dirs."
   do k=2 for 1
      do i=1 for Dirs.0
         Parse Var Dirs.i . . Dir .
         Dir = Strip(Dir,'B','"')'/'
         If Exists(Dir||Argument) Then
         Do
            Call SendIt(Dir Argument)
            Leave k
         End
      End
      "search s:catalog.db "Argument " | ExecIO stem NotFound."
      say notfound.0
      say notfound.1
      say notfound.2
      say notfound.3
      if notfound.0 > 1 Then
      Do
         'Echo >>UULib:OffLine "'NotFound.2 ReplyTo'"'
         'Echo  "'NotFound.2 ReplyTo'"'
         NeedHelp = FALSE
      End
   end
return

List:
   If Debug Then Say "List"
   Call SendIt("BBS:BBX/" "Files.LZH")
return

SendOffLine:
   If Debug Then Say "SendOffLine"
   If Exists("UULib:OffLine") & ~CheckSpool() Then
   Do
      "Era UULib:OffLine.bak"
      "Ren UULib:OffLine UULib:OffLine.bak"
      Call Open( ofl, "UULib:OffLine.bak", 'R' )
      Work = ReadLn(ofl)
      Do While ~EOF(ofl)
         Parse Var Work . Path ReplyTo
         Parse Var Path Dir':'File
         If File ~= "" Then Call SendIt( Dir':' File )
         
         If CheckSpool() Then
         Do
            Call Open(rest, "UULib:OffLine", 'W')
            Do While ~eof(ofl)
               Call WriteLn(rest, ReadLn(ofl))
            End
            Return 0
         End
         
         Work = ReadLn(ofl)
      End
   End
Return 0

SendIt:
   Parse Arg Dir Argument
   
   'Echo >>UUSpool:FileRequest "Sending: 'ReplyTo' File: 'Argument'"'

   NeedHelp = FALSE
   If Debug Then 
   Do
      Say "Sending "Dir||Argument" To "ReplyTo
      Return 0
   End
   
   Argument = Strip(Argument, 'B')
   Say Argument
   "Copy "Dir||Argument" Ram:"Argument
   "CD Ram:"
   "UUSplit "Argument
   'LS -FH "%n\n" 'Argument'* | ExecIO stem Files.'
   Do j=2 to Files.0
      'echo >ram:Temp "Subject: 'Argument j-1' of 'Files.0-1
      'Join Temp UULib:Unpacking 'Files.j' To Temp1'
      "SendMail <Temp1 -f filerequest -t "ReplyTo
      "Era Temp1"
   End
   "Era Temp "Argument"#?"
return 0
