
     ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
    ::*:::::::::## ::## ::## ::## ::###### ::::::::::::## ::## ::::::::::*::
    ::::::::::::## ::## ::## ::## ::## ::## ::##### :::## ::## :::::::::::::
    ::::::::::::## ::## ::## ::## ::###### ::## ::## ::## ::## :::::::::::::
    ::::::::::::## ::## ::## ::## ::## ::::::## ::## ::## ::## :::::::::::::
    ::*::::::::::##### ::::##### :::## :::::::##### ::::### :### ::::::::*::
     ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


    UUPOLL Release 0.61 -- UUCP polling server
    UUPOLL(c)Copyright 1991 Cyvaned Systems, All Rights Reserved.
    UUPOLL(c)Copyright 1991 Ralf S. Engelschall, All Rights Reserved.



                                  DISTRIBUTION

      This  material  is  neither  freeware nor shareware nor public domain.
    It's  copyrighted because it was developed for own usage only but may be
    freely destributed to help the Amiga community as long as no changes are
    made  in  the  whole material and no charge is made for the distribution
    except for magnetic media, mailing materials and postage.


                                   DISCLAIMER

      THE  AUTHOR  MAKES  NO  WARRANTIES,  EITHER EXPRESSED OR IMPLIED, WITH
    RESPECT  TO  THE  MATERIAL  DESCRIBED  HEREIN, ITS QUALITY, PERFORMANCE,
    MERCHANTABILITY,  OR  FITNESS FOR ANY PARTICULAR PURPOSE.  THIS MATERIAL
    IS  PROVIDED  "AS  IS"  AND  THE  ENTIRE  RISK  AS  TO  ITS  QUALITY AND
    PERFORMANCE IS WITH THE USER.  IN NO EVENT WILL THE AUTHOR BE LIABLE FOR
    ANY  GENERAL  OR SPECIAL DAMAGES, INCLUDING DIRECT, INDIRECT, INCIDENTAL
    OR  CONSEQUENTIAL  DAMAGES  RESULTING  FROM  THE  USE  OF  THIS  PROGRAM
    (INCLUDING  BUT  NOT  LIMITED  TO  LOSS  OF  DATA OR DATA BEING RENDERED
    INACCURATE  OR  LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF
    THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS).


                                RIGHTS RESERVED

      THE  AUTHOR  RESERVES  THE RIGHT TO MAKE CHANGES IN THE WHOLE MATERIAL
    IDENTIFIED  IN  THIS  PUPLICATION WITHOUT NOTICE AND TO DISTRIBUTE OTHER
    REVISIONS UNDER DIFFERENT LICENCE STATEMENTS AND/OR CONDITIONS.


                                      NOTE

      Please  excuse  my  uneven  english, because it's my foreign language.
    But  writing  this  documentation in german would decrease the number of
    people  who  can  understand  the  function  of UUPoll and I hate german
    descriptions   of   international   spreaded  material  because  of  the
    non-technical character of my native language.  Thanks in advance!


                                     ABOUT

                                 SHORT OVERVIEW

    - controls the execution of a uucico child as the parent part
    - checks for correct host and polling-time violation
    - controls abortion of uucico due to a precalculated restriction time
    - gives you information about restriction time which would be activated
    - operates dependend/independend according to status of last session
    - setups your modem optionally before start of a polling session
    - controls dialup retries due to busy line or other uucico failures
    - controls abortions due to user interupts
    - gives you the ability to spawn uucico with different options
    - full uucp logfile support
    - full runtime debug support with variable debug level


                              DETAILED DESCRIPTION

      UUPOLL  is a polling server to Matt Dillon's UUCICO (V1.15D or later).
    If  you  don't  know anything about UUCP this utility still won't be for
    you  and  you  should  stop  reading  here  and discard it.  If you have
    already  installed and configured an UUCP package on your Amiga (version
    1.15D  or later would be preferred) on your system you should be able to
    use  UUPOLL  directly  without  setups.  If not, stop here and configure
    your UUCP system first, really!

      You  will  probably  ask, why we need a polling server?  UUCP's UUCICO
    command  handles  all  we  need  when  polling  a host, i.e all transfer
    operations  in detail.  So if you are polling your NewsFeed once a week,
    calling  UUCICO  manually  is  simple  and  works.  But if you have many
    polling  operations  a  day the handling of UUCICO will actually require
    nerves  of  steel  because  it  is  a  simple  transfer command for UUCP
    connections only and doesn't provide us with great comfort.

      It was boring when we needed many polling retries before connecting to
    a  host  successfully  due  to  many machines trying to poll at the same
    time.   At  this situation we had to reenter the UUCICO command manually
    for  each  retry  operation  while  waiting  in  front  of  our machines
    observing  the  polling  processes.  At first we had used a AmigaDOS(tm)
    batch  script  distributed  with  AmigaUUCP  1.13D to automate the retry
    procedure.   This  worked  fine  but not very elegant, because it used a
    dummy  transfer  file  to  check  if  UUCICO's  last  retry was actually
    successful.

      Another  big  problem  (also not handled by UUCICO or the batch script
    mentioned)  was,  that UUCICO didn't stop when our polling time was over
    due  to a given time restriction, i.e.  our polling time is reserved but
    limited  by  our  NewsFeeds.  One of our NewsFeed for example reserves a
    polling  time  of one hour from four to five o'clock every morning to do
    all daily transfer for one of our sites.  No other host had the right to
    poll at this time intervall.  This has the advantage that we haven't any
    retries when connecting because the phoneline is explicitly reserved for
    us.   The  "disadvantage"  for  us  is,  that at five o'clock a reserved
    polling  time  of another host starts, which means that we have actually
    only the right to use the phoneline up to five o'clock.

      At  five  o'clock  the  line have to be given free, otherwise we would
    become  a  great deal of flames from the sysop of the host polling after
    us  because  we  had  used his reserved time interval.  Usually we had a
    transfer time between 30 and 50 minutes.  But sometimes there is so many
    traffic  inside our requested newsgroups that we still transferring data
    at  five  o'clock.  At this situation we had to interrupt UUCICO because
    our  polling  time is over.  To solve this problem we had stopped UUCICO
    via  'break'  command  started  by  our 'crontab' at five o'clock.  This
    worked also fine but very very less elegant.

      Another  big  problem  was  the  fact,  that after breaking UUCICO our
    NewsFeed  is  holding  not already transferred data until we poll again.
    That's  ok because no data will be lost.  But the really problem is that
    a  lot  of  data  is waiting for us if we break the next polling session
    again  and  then the next one also and the next one...  To solve this we
    had  started  UUCICO  at a second time (some hours later) where all host
    can  poll  which  don't  have  a  reserved  polling-time.  So we had the
    ability  to receive all remaining data from our NewsFeed at this session
    but we had to do this manually because if we the first connection wasn't
    breaked  the  second  one  would be redundant and cost phone units only.
    The  only  way to solve this correct and elegant is to know, whether the
    last polling session was successful.

      You  see,  these  are  all  problems  which can be solved by writing a
    intelligent  server program for UUCICO which handles all this situations
    automatically without us.  So UUPOLL mushroomed out of my brian...


                                  REQUIREMENTS

      As  mentioned  above you have to install a UUCP package like AmigaUUCP
    from  Matt  Dillon  V1.15  or compatible.  For detail have a look at the
    manual pages of _your_ UUCP software.  UUPoll relies on UUCICO and UUXQT
    of V1.15D only, but you should have a correct package at all.


                                  INSTALLATION

      If you have a already configured UUCP system, installing UUPOLL wil be
    very  simple:   Just  copy  UUPOLL  to  any place where you can find it.
    Usually  UUPOLL  is staying at UUCP:c/ where all other UUCP command are.
    Of  course  you can give UUPOLL another name by renaming it.  It acts in
    all  situations  with  its  AmigaDOS(tm)  name.  If its 'permanent' flag
    isnt' already set, please set it with 'protect uupoll +p' because UUPOLL
    can be made resident.

      But  be  sure  that the following things are already configured before
    you  try  to  run  UUPOLL  successful.  Otherwise do it now!  You need a
    correct  UULIB:l.sys  file,  where UUPOLL can extract informations about
    the host you want to poll (i.e.  if it exists, baudrate, allowed polling
    times).   This  should  already be exists correctly because this is also
    used by SENDMAIL and UUCICO.  For example, have a look at UULIB:l.sys of
    site CyvaNT2 (angle.muc.sub.org):

     | ## uulib:l.sys -- information about hosts we have direct connections
     |
     | # CyvaNT1 (cyvaned.muc.sub.org)
    !| cyvaned Any SER: 9600 ATS7=060DP97990 ogin: Uangle sword: XXXXXX
     |
     | # Alcolix (brumuc.muc.sub.org)
    !| brumuc 01:30-02:00,07:30-11:00,12:15-14:00,14:30-15:15,16:15-18:00,
     ...   18:30-18:45,19:00-21:00,21:30-23:55 SER: 9600 ATS7=060DP0893544971
     ...   ogin: Uangle sword: XXXXXX

      As  you can see, 'angle' has direct connections to hosts 'cyvaned' and
    'brumuc'.   Both  are  polled  at 9600bps, but at 'cyvaned' there are no
    reserved  times.   Instead  'brumuc' has many reserved times, so 'angle'
    have  to  know  all  time intervals where it is allowed to poll 'brumuc'
    (these  times  are  given,  not  the reserved ones!).  UUPOLL checks for
    these time intervals!

      If you want to use the 'automatic hostname' function (which is useful,
    if  you  poll only one host), i.e.  not specifying the '-h' option, make
    sure that UUPOLL can open a file called UULIB:config where it can find a
    field named 'DefaultHost'.  For example, 'angle's config-file looks like
    this:

     | ## uulib:config -- AmigaUUCP main configuration file
     |
     | NodeName       angle
     | UserName       rse
     | RealName       Ralf S. Engelschall
     | Organization   Cyvaned Systems
     | Filter         ed -sticky
     | RFilter        ed -sticky
     | MailEditor     ed -sticky
     | NewsEditor     ed -sticky
     | DomainName     .muc.sub.org
    !| DefaultNode    brumuc.muc.sub.org
     | TimeZone       CET
     | MaxRMailLen    200
     | TimeOut        60
     | MailBounce     Y
     | DomainPath     N
     | LockDir        uuspool:
     | MungeCase      N
     | Debug          0

      UUPOLL  strips off domains automatically when extracting the hostname,
    setting  this  field  to 'brumuc', 'brumuc.uucp' or 'brumuc.muc.sub.org'
    results always in a default hostname of 'brumuc'.

      If  you  want to use the modem setup function (option '-m') make sure,
    that  you  have a correct setup file called UULIB:modemsetup, which will
    be  used  by  UUPOLL only.  This is the only introduction of UUPOLL, all
    other configuration files should already exist.  The layout of this file
    is  similar  to  UULIB:sys  of  CNEWS  (not l.sys!), which specifies the
    newsgroups  interchanged  with  each  host.  Instead of explaining this,
    please have also a exact look at 'angle' ones.

     | ## uulib:modemsetup -- modem setup commands for each host we poll
     |
    !| cyvaned:\
     | ATZ
     |
    !| brumuc:\
     | ATZ,ATE1,ATH0,ATK1,ATL3,ATM2,ATQ0,ATV1,ATX4,\
     | ATS0=000,ATS2=043,ATS3=013,ATS4=010,ATS5=008,\
     | ATS6=002,ATS7=060,ATS8=002,ATS9=010,\
     | ATS10=015,ATS12=050,ATS18=000,ATS25=000,ATS26=000,\
     | AT&B0,AT&C1,AT&D2,AT&H1,AT&L0,AT&M0,AT&R2,\
     | AT*A0,AT*D0,AT*E1,AT*F3,AT*P0,AT*Q0,AT*S1,AT*E1,AT*U0

      The  only  thing which UUPOLL uses and which you need not configure is
    the  UUCP  logfile,  called  UUSPOOL:logfile.   Here, UUPOLL appends (as
    UUCICO,  UUXQT,  SENDMAIL, etc.  do) his logbook-messages.  Notice, that
    UUPOLL defaults to do no console output.  The only way to check what was
    done or went wrong is to look at this file.



                                     USAGE

                                 SHORT OVERVIEW


    uupoll [-sSystem] [-SSystem] [-rNum] [-dSec] [-tMin] [-uArg]
           [-m] [-a] [-xNum] [-i] [-v] [-?]\n"

    s  poll the specified system              m  setup modem before startup
    S  like 's' but ignore time restrictions  a  always poll - ignore status
    r  number of retries before giving up     x  number of debuglevel
    d  seconds of retry delay time            i  restriction time info
    t  minutes of restriction time            v  version info
    u  additional uucico arguments            ?  usage info


                              DETAILED DESCRIPTION

    s  poll the specified system

          This  specifies the system which UUPOLL should poll.  Use the UUCP
        name,  not  the  logic  one,  i.e.  at 'angle' you have to set it to
        'cyvaned'  instead  of  'CyvaNT1' and 'brumuc' instead of 'Alcolix'.
        If this option isn't used, UUPOLL extracts the hostname of the field
        'DefaultHost' in UULIB:config.

    S  like 's' but ignore time restrictions

          This  specifies also the system which UUPOLL should poll, but with
        the  addition that this "profanes" the holy situation of restriction
        time violation.  This is similar to UUCICO's -S option.  But notice,
        that  the  current  release  (V1.15D)  of UUCICO didn't support this
        option  in  full detail!  The advantage of this option would be that
        you   can   use   a   polling   trick   introduced   by   T.Lotterer
        (joedust@cyvaned).

          Think about his situation:  He wanted to poll one of his NewsFeeds
        and waits until no reserved time is active because he didn't want to
        steal someone's reserved time.  Now he starts to dialup his NewsFeed
        but  the  line  was busy, busy, busy...  The reason why this happens
        was clear:  All other hosts act similar.  The only solution to avoid
        this  situation  would  be to start polling a few minutes before all
        other  would  do, i.e.  starting _before_ the reserved time would be
        over.   Oh,  you  think  thats  not  ok, because now we use someones
        reserved  time?   That's right, but no one would disagree because if
        he  is  still polling at his reserved time, he could not interrupted
        and  if  he  has  already  finished  he  has no reason why he should
        disagree  with  us.  So if T.Lotterer wanted to poll his NewsFeed he
        waits  until  30%  or  more of the currently active reserved time is
        over and then started to dialup his NewsFeed.

    r  number of retries before giving up

          This  indicates  the  total  number  of re(!)tries.  Remember that
        retries means that the first retry is try number 2!  A retry of zero
        (the default) forces UUPoll to try only once and then give up.

    d  seconds of retry delay time

          This  indicates  the  number  of  seconds which UUPOLL should wait
        until  it  makes a new retry.  Default is no delay time (0 seconds).
        This  was  introduced for special situations to avoid too many dials
        which  result  in a lot of unused telephone units due to a telephone
        number  change  by  one  of  our NewsFeeds.  This can be used but is
        usually not needed.

    t  minutes of restriction time

          If  specified with a number not equal zero this sets the number of
        minutes  after  which  UUPOLL  should  terminate UUCICO.  This timer
        starts  immediately  after you have started UUPOLL.  I call this the
        'restriction time' for the polling session.  If this option is left,
        UUPOLL calculated the minutes aout of the given time intervals found
        in UULIB:l.sys.

    u  additional uucico arguments

          This  specifies  the  additional(!) arguments for the UUCICO call.
        UUPOLL  starts  UUCICO  always  with  "uucico -s{hostname}" and will
        optionally add this string to the end of that 'calling command'.  If
        you  wish  no addidtionl args you have to specify -u"" or "-u".  The
        default  is  "-7"  which  in  indicates  that  UUCICO  should  use a
        7-wire-handshake.

    m  setup modem before startup

          If  specified  this indicates UUPOLL to setup your modem according
        to the commands found in UULIB:modemsetup before he starts the first
        UUCICO process. See INSTALLATION above.

    a  always poll - ignore last status

          This  forces  UUPOLL to start the polling procedure independend of
        its  status  of the last session, i.e.  whether the last session was
        successful    or   not.    UUPOLL   sets   a   enviroment   variable
        ('uupoll_{hostname}')  for  each  host automatically after a polling
        session  to 'SUCCESSFUL' or 'FAILED' according to the results of the
        polling  procedure.   At startup UUPOLL checks for this variable and
        does  nothing  if  its  status  is already 'SUCCESSFUL'.  But if you
        specify  this  option UUPOLL treats it always as 'FAILED' and starts
        the  polling  procedure even if the last one was already successful.
        This  should be used in the following context with a 'crontab', e.g.
        a part of 'cyvaned' ones:

         | ## s:crontab -- event table for cron-daemon
         | ## <min> <hour> <day> <month> <dayofweek> <command>
         |
         [...]
        !| 0     4      *     *     *     uupoll -a -t60 -hbrumuc
        !| 30    7      *     *     *     uupoll    -t30 -hbrumuc
         [...]

          As  you  can  see,  the cron-daemon starts a polling session every
        morning  at  four o'clock to connect to host 'brumuc'.  As mentioned
        above,  'cyvaned'  has a reserved polling time at host 'brumuc' from
        four  to five o'clock.  So uupoll is started with a restriction time
        of 60 minutes (of course this could be left, because 'cyvaned' has a
        different  UULIB:l.sys  entry!).   UUPOLL now connects to 'brumuc' a
        maximum  of  60 minutes.  If there would be more data than 'cyvaned'
        could  get  in  this  time  interval, UUPOLL breaks at five o'clock.
        Then  the  status  of  this polling session is set to 'FAILED' which
        lets  the  second  UUPOLL (started at half past seven) to go on with
        the  transmission.   If  the  first sesssion would be successful the
        second UUPOLL does nothing.

    x  number of debuglevel

          Because   UUPOLL   does  no  console  output  until  you  set  the
        Runtime-Debugging  you  can  specify  the debuglevel (0-9) with this
        option.   A  level  of zero means no debugging info, a level of nine
        means full debug output to the console.

    i  restriction time info

          This  option tells UUPOLL not to poll actually but to give you the
        number  of  current  minutes left up to the next reserved time, i.e.
        giving  you  the  number of minutes which would be activated for the
        restriction timeout if no '-t' option will be specified.

    v  version info
    ?  usage info

          Specify  one  of  these  options  to  let  UUPOLL print either the
        version page or the usage page to the console.


                                    EXAMPLES

    uupoll

          This  is  the  simplest  way  to  use UUPOLL.  It will extract the
        hostname of UULIB:config, does no retries and delays, calculates its
        restriction  timeout  to  the  current active time situation, spawns
        UUCICO  via  'uucico -s{defaulthost} -7', does no modem setup, polls
        only if the last polling has failed and gives no console output.

    uupoll -i

          Now   UUPOLL  does  no  polling  but  calculates  and  prints  the
        restriction time which would be activated to the console.

    uupoll -a -r10 -scyvaned

          This  indicates  UUPOLL  to  ignore the current host status and to
        make max 10 retries if it couldn't connect to host 'cyvaned'.

    uupoll -a -r100 -t60 -Sbrumuc "-u -7 -r1"

          Now  uupoll  would  always  poll host 'brumuc', even if there is a
        reserved time currently active, but not if there is now pending work
        for this site (see -r1 option for UUCICO).



                                MAILING ADDRESS

      If  you  have  any questions, incitements, comments, criticisms or bug
    reports, please send it to:

                            ___  _______
    Ralf S. Engelschall,    /__)(_  /_              rse@angle.muc.sub.org
     Weblinger Weg 28,     / \____)(___           rse@cyvaned.muc.sub.org
      8060 Dachau,        /
       West Germany          ...!smurf.sub.org!brumuc!{angle,cyvaned}!rse
