
/*
 *  LIST.C
 *
 */

#include "defs.h"

Prototype void ListBMS(char *);
Prototype void InitList(void);

void
InitList(void)
{
}

void
ListBMS(fileName)
char *fileName;
{
    RegNode *rn;
    CtlNode *cn;
    FileNode *fn;

    if ((rn = FindFirstMarked()) == NULL) {
	bmslog("List", "No destination specified");
	return;
    }
    if (rn->rn_Comm.com_DID == 0) {
	bmslog("List", "Registration for this destination has not been completed");
	bmslog("List", "Your request will be held until registration is complete");
    }

    /*
     *	Allocate node and initiate communications.  Can setup FileNode
     *	after communications has been initiated
     */

    cn = AllocCtlNode(rn);
    if (fileName)
	cn->cn_Node.ln_Name = zstrdup(fileName);
    InitCommLocalSide(SMACH_LIST, rn, &cn->cn_Comm);

    /*
     *	Allocate and setup a FileNode to hold incomming data
     */

    fn = AllocFileNode(cn);
    fn->fn_LocFileName = AllocSemiPermanentFileName(&cn->cn_Comm);
}


