
/*
 *  VALIDUSER.C
 *
 *  (C) Copyright 1989-1990 by Matthew Dillon,  All Rights Reserved.
 */

#include "stdio.h"
#include "config.h"

Prototype int ValidUser(const char *);

int
ValidUser(str)
const char *str;
{
    if (*str == '|' || *str == '@')
	return(0);
    while (*str) {
	if (*str < 32 || *str > 126)
	    return(0);
	if (*str == ':')
	    return(0);
	if (*str == '/')
	    return(0);
	++str;
    }
    return(1);
}

