
/*
 *  DEFS.H
 */

#include <exec/types.h>
#include <exec/lists.h>
#include <exec/ports.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "version.h"
#include "sendmail_protos.h"

#ifndef LATTICE
extern void AddTail(void *, void *);
extern void AddHead(void *, void *);
extern void *RemHead(void *);
extern void *RemTail(void *);
extern void *GetHead(void *);
extern void *GetSucc(void *);
#endif

typedef struct List	LIST;
typedef struct Node	NODE;
typedef struct MsgPort	MsgPort;

typedef struct UUHostNode {
    NODE    uh_Node;	/*  node w/ uucp host name  */
    LIST    uh_List;	/*  rmail list		    */
    long    uh_Len;	/*  bytes of rmail line     */
    long    uh_NAddr;
    char    *uh_Diagnosis;
} UUHostNode;
