

GETFILE			USER COMMANDS				GETFILE(1)



NAME
	getfile - get a file that a user on the system has sent.

SYNOPSIS
	getfile [-a] [-h]


DESCRIPTION
	Getfile gives the ability to maniplate files that have been sent
	to you by another person on the system.  When run, it gives a list
	(if any) of the files sent to you followed by a prompt.  A list
	of commands can be seen by typing a `h' or a `?':

		l - list files.
		c - cancel operation on file.
		s - save file(s) to home directory.
		d - delete file(s).
		r - rename file(s).
		h or ? - this help text.
		q - quit getfile and perform changes.
		x - exit without changes.

	The cancel (c), save (s), delete (d) and rename (r) commands
	require an argument, the number of the file you wish to change.
	This can be done in batch by specifying a range of numbers.
	Here are some examples:

	to delete from 3 to 7: command> d 3-7
	to cancel from 4 on: command> c 4-
	to rename from 1 to 5: command> r -5
	to save all files: command> s -
	to save files 1, 4 and 5: command> s 1 4 5
	to save files 1 to 3 and 5 on: command> s -3 5-

	Actual file operations arn't performed until the program is exited
	with a `q'.  If exited with an `x', no operations are performed.


	Options:
		-h: only list the files, don't go into interactive mode.

		-a (superuser only): look at and manipulate all files
			in the data base.

	See sendfile for information on the `AXsh:etc/rc.fileio'
	configuration file.


AUTHOR
	Tim Ferguson (Vision Beyond) of Alchemy Software Development (ASD).

	net mail to: visbey@brimston.apana.org.au
	postal mail to:
		Alchemy Software Development
		PO Box 188,
		Southland Centre.
		Victoria 3192.
		Australia.

FILES
	AXsh:bin/getfile	the program itself
	AXsh:etc/rc.fileio	rc file

SEE ALSO
	sendfile

BUGS
	None known.
