

SENDFILE		USER COMMANDS				SENDFILE(1)



NAME
	sendfile - send a file to a user on the system

SYNOPSIS
	sendfile <user> <file> [<file>....]


DESCRIPTION
	Sendfile gives the ability to send a file to a user on the local
	system without having to uuencode the file and mail it to them.
	The first argument is the user you wish to send the file too,
	followed by a list of one or more arguments specifing the files
	to be sent.

	The program reads information from its configuration file
	`AXsh:etc/rc.fileio'.  This so far contains two possible
	commands:

	%storage_path: - the location where sent files are stored until
		the new owner gets them.

	%send_mail: - either `yes' or `no' as to weather mail is sent
		when a file is sent.  If mail is to be sent, the file
		`AXsh:etc/fileio.tail' is appended to the end of mail
		sent if it exists.


AUTHOR
	Tim Ferguson (Vision Beyond) of Alchemy Software Development (ASD).

	net mail to: visbey@brimston.apana.org.au
	postal mail to:
		Alchemy Software Development
		PO Box 188,
		Southland Centre.
		Victoria 3192.
		Australia.

FILES
	AXsh:bin/sendfile	the program itself
	AXsh:bin/mailserver	used to send mail
	AXsh:etc/passwd		check to see if user exists
	AXsh:etc/rc.fileio	rc file
	AXsh:etc/fileio.tail	appended to end of mail sent if exists

SEE ALSO
	getfile

BUGS
	None known.
