/*
 *
 *  AM --- AmigaMail
 *  (C) 1991, 1992 by Christian Riede
 *
 *  AM is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY.  No author or distributor accepts responsibility to anyone
 *  for the consequences of using it or for whether it serves any
 *  particular purpose or works at all, unless he says so in writing.
 *  Refer to the GNU General Public License, Version 1, for full details.
 *  
 *  Everyone is granted permission to copy, modify and redistribute AM,
 *  but only under the conditions described in the GNU General Public
 *  License, Version 1.  A copy of this license is supposed to have been 
 *  given to you along with AM so you can know your rights and responsi-
 *  bilities.  It should be in a file named COPYING.  Among other things,
 *  the copyright notice and this notice must be preserved on all copies.
 *
 *  
 *
 */

#define abs(x) (((x)>=0)?(x):(-x)) /* for <libraries/mathffp.h> */
#define ABS(x) (((x)>=0)?(x):(-x))

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <fcntl.h>
#include <ctype.h>
#include <string.h>
#include <pwd.h>
#ifdef __GNUC__
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <signal.h>
#include <regexp.h>
#else
#include <stat.h>
#include <time.h>
#endif

#include <exec/types.h>
#include <exec/memory.h>
#include <exec/nodes.h>
#include <exec/libraries.h>
#include <exec/lists.h>
#include <exec/ports.h>

#include <dos/dos.h>
#include <dos/dosextens.h>
#include <dos/dostags.h>
#include <dos/rdargs.h>
#include <dos/exall.h>

#include <graphics/text.h>
#include <graphics/scale.h>
#include <graphics/graphint.h>

#include <intuition/intuition.h>
#include <intuition/classes.h>
#include <intuition/gadgetclass.h>

#include <graphics/displayinfo.h>
#include <graphics/view.h>

#include <libraries/gadtools.h>
#include <libraries/asl.h>
#include <libraries/diskfont.h>
#include <libraries/sregexpbase.h>

#include <workbench/workbench.h>
#include <workbench/startup.h>
#include <workbench/icon.h>

#include <clib/alib_protos.h>
#include <clib/intuition_protos.h>
#include <clib/exec_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/dos_protos.h>
#include <clib/asl_protos.h>
#include <clib/icon_protos.h>
#include <clib/graphics_protos.h>
#include <clib/diskfont_protos.h>
#include <clib/sregexp_protos.h>

#ifdef AZTEC_C
#include <clib/intuition_prags.h>
#include <clib/exec_prags.h>
#include <clib/gadtools_prags.h>
#include <clib/dos_prags.h>
#include <clib/asl_prags.h>
#include <clib/icon_prags.h>
#include <clib/graphics_prags.h>
#include <clib/diskfont_prags.h>
#include <clib/sregexp_prags.h>
void geta4(void);
#endif

#ifdef __GNUC__
#if 0
#include <inline/intuition.h>
#include <inline/exec.h>
#include <inline/dos.h>
#include <inline/graphics.h>
#include <inline/icon.h>
#include <inline/diskfont.h>
#include <inline/gadtools.h>
#include <inline/asl.h>
#endif
#endif

