/************************************************************************
 * arnhelp.c - Help functions for Arn                                   *
 * Arn - (C)opyright by Roland Bless, All rights reserved,              *
 * -------- YOU ARE NOT ALLOWED TO DISTRIBUTE A CHANGED SOURCE -------- *
 ************************************************************************/

#ifndef GLOBALVARS_H
 #include "globalvars.h"
#endif

/* Prototypes for functions defined in arnhelp.c */
/* proto$start */
void dohelp(int topic);
/* proto$end */

#include "proto/ArnIO_proto.h"

#define HELPFILE "UULIB:arnhelp.txt"

/******************/


void
dohelp(int topic)
{
  FILE *fp;
  int count=0, lines=0;
  char c;

  fp= fopen(HELPFILE,"r");
  if (!fp)
  {
    DispMsg("Help File not found!\n");
    Delay(100L); ClrLine();
    return;
  }

  while (fgets(tmp, SUPERLINE, fp) && count<=topic)
  {
    if (*tmp=='#' && *(tmp+1)=='#')
    {
      if(++count>topic) WaitForSpace("[Any key to return]");
    }
    else
    if (count==topic)
    {
      if (lines>=MaxScrLines-1 || *tmp=='\x0C')
      {
        c=WaitForSpace("[--more-- (Q=quit)]");
        if (toupper(c)=='Q') break;
        lines=1;
      }
      (*ConWrite)(tmp);
      lines++;
    }
  }
  fclose(fp);
}
