
/*
 *  UNCOMP.C
 *
 *  uncompress a file pointer into a file destination.
 */

#define DECOMPRESS_ONLY 	/*  sneaky shit to avoid repeating core code */
#define BITS  16		/*  maximum (dynamically allocate)           */
#define XENIX_16
#include <stdio.h>
#undef stdin
#undef stdout
#define stdin	Fi
#define stdout	Fo
#include <stdlib.h>
#include <string.h>
#include "config.h"

static FILE *Fi;
static FILE *Fo;

#define LOGERROR    ulog(-1, "UNCOMPRESS ERROR")

#include "/unix/compress.ch"

Prototype int uncompress_to_file(FILE *, char *);
Prototype int uncompress_to_fp(FILE *, FILE *);

int
uncompress_to_file(fi, outName)
FILE *fi;
char *outName;
{
    FILE *fo;
    int r = -1;

    if (initcomp(fi, NULL, 0) >= 0) {
	if (fo = fopen(outName, "w")) {
	    Fi = fi;
	    Fo = fo;
	    r = decompress();
	    fclose(fo);
	}
    }
    deletecomp();
    return(r);
}

int
uncompress_to_fp(fi, fo)
FILE *fi;
FILE *fo;
{
    int r = -1;

    if (initcomp(fi, NULL, 0) >= 0) {
	Fi = fi;
	Fo = fo;
	r = decompress();
    }
    deletecomp();
    return(r);
}


