

LAST		USER COMMANDS			   08-Jan-93


NAME
	last - display last login of a user

SYNOPSIS
        last [ -N ] [ name ]

DESCRIPTION
	Last will look through the last-file (usually AXsh:etc/Last)
	which  records  all  user logins.  If a login name is given,
	last  will try to match it with the entries in the last-file
	and print all matching entries.

	If  no login name is supplied, all matches succeed, and last
	simply prints all logins in reverse order, that is, the most
	recent first.

	As  last  simply  searches  for text strings, it can also be
	used to look for logins on special ttys or on special dates.


OPTIONS
	-N limits the output to N lines.

EXAMPLES
	last -3 root	will  show  the  three most recent logins of
			user root.

	last -5		will show the five most recent logins.

	last tty5	will show all recorded logins on tty5, most
			recent first.

AUTHOR
	Mads Haahr (maze@diku.dk)

FILES
	AXsh:etc/Last	the last-file.

NOTES
	Last is a simplified version of the Unix last command.

