/*
 *
 *  AM --- AmigaMail
 *  (C) 1991, 1992 by Christian Riede
 *
 *  AM is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY.  No author or distributor accepts responsibility to anyone
 *  for the consequences of using it or for whether it serves any
 *  particular purpose or works at all, unless he says so in writing.
 *  Refer to the GNU General Public License, Version 1, for full details.
 *  
 *  Everyone is granted permission to copy, modify and redistribute AM,
 *  but only under the conditions described in the GNU General Public
 *  License, Version 1.  A copy of this license is supposed to have been 
 *  given to you along with AM so you can know your rights and responsi-
 *  bilities.  It should be in a file named COPYING.  Among other things,
 *  the copyright notice and this notice must be preserved on all copies.
 *
 *  
 *
 */

#include "am.h"

char Username[]="chr";

struct MsgPort *NotifyPort;

struct List Mailbox;

struct List Selected;

char TimeZone[]="GMT";
int LocalMOffset = 0;
int LocalHOffset = 0;


int main(void)
{
#if 0
	struct Mail *New;
	struct AMMessage *AMMessage;
	if (!(ServerPort = FindPort(SERVERNAME)))
		exit(21);
#if 0
	if (!(NotifyPort = CreatePort(0,0)))
		exit(23);
#endif
	LockContents();

	/* init the mailbox-list */
	Mailbox.lh_Head = (struct Node *)&Mailbox.lh_Tail;
	Mailbox.lh_TailPred = (struct Node *)&Mailbox.lh_Head;
	Mailbox.lh_Tail = 0;
	Mailbox.lh_Type = AMNT_MAILBOX;

	/* init Selected-list */
	Selected.lh_Head = (struct Node *)&Selected.lh_Tail;
	Selected.lh_TailPred = (struct Node *)&Selected.lh_Head;
	Selected.lh_Tail = 0;
	Selected.lh_Type = AMNT_SELECT_LIST;
#if 0

	/* read in the mailbox */
	GetContents(&Mailbox);

	NotifyOn(NotifyPort);

/*
	if (New = AddItem(18))
		FreeMail(New,FALSE);
*/
	Delay(50L);

	WaitPort(NotifyPort);

	AMMessage = (struct AMMessage *) GetMsg(NotifyPort);

	printf("%d\n",AMMessage->Number);


	NotifyOff(NotifyPort);


	FreeMailbox(&Mailbox);
#endif
	UnLockContents();
#if 0
	KillServer();
#endif
/*
	DeletePort(NotifyPort);
*/
#endif


	struct tm tm;
	char s[] = "Fri, 13 Mar 1992 18:23:50 MET";

	ParseDate(s,&tm);

	puts(asctime(&tm));

	return(0);
}
